﻿var xml;
var stringBuilder;
//**************************************************

function encodeXML(value) {
    if (value) {
        if (value.indexOf('\n') > -1 || value.indexOf('\\') > -1 || value.indexOf('"') > -1 || value.indexOf('\u00a0') > -1 || value.indexOf('&nbsp;') > -1 || value.indexOf('&') > -1) {
            value = '<![CDATA[' + value + ']]>';
        } else {
            value = $('<div/>').text(value).html();
        }
    }
    return value;
}

function decodeXML(value) {
    if (value) {
        if (value.indexOf('<![CDATA[') > -1) {
            value = value.replace("<![CDATA[", "").replace("]]>", "");
        }
    }
    return value;
}


function createxmlfinal() {
    stringBuilder = new $.StringBuilder();
    stringBuilder.appendLine('<?xml version="1.0" encoding="utf-8"?>');
    stringBuilder.appendLine('<dokument xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="REGDPv21.xsd">');
    stringBuilder.appendLine('\t<cast1>');

    stringBuilder.appendLine('\t\t<registracia>');

    stringBuilder.appendLine('\t\t\t<regCisla>');
    stringBuilder.appendLine('\t\t\t\t<DIC>' + encodeXML($('#dic').val()) + '</DIC>');
    stringBuilder.appendLine('\t\t\t\t<ICDPH>' + encodeXML($('#icdOddiel0').val()) + '</ICDPH>');
    stringBuilder.appendLine('\t\t\t</regCisla>');

    stringBuilder.appendLine('\t\t\t<typSubjektu>');
    stringBuilder.appendLine('\t\t\t\t<fyzickaOsoba>' + ($('#foOddiel0').is(':checked') ? '1' : '0') + '</fyzickaOsoba>');
    stringBuilder.appendLine('\t\t\t\t<pravnickaOsoba>' + ($('#poOddiel0').is(':checked') ? '1' : '0') + '</pravnickaOsoba>');
    stringBuilder.appendLine('\t\t\t</typSubjektu>');

    stringBuilder.appendLine('\t\t\t<typZiadosti>');
    stringBuilder.appendLine('\t\t\t\t<ziadostORegistraciu>' + ($('#druhRegistracia').is(':checked') ? '1' : '0') + '</ziadostORegistraciu>');
    stringBuilder.appendLine('\t\t\t\t<zrusenieRegistracie>' + ($('#druhZrusenieReg').is(':checked') ? '1' : '0') + '</zrusenieRegistracie>');
    stringBuilder.appendLine('\t\t\t\t<zmenaRegistracie>' + ($('#druhZmenaReg').is(':checked') ? '1' : '0') + '</zmenaRegistracie>');
    stringBuilder.appendLine('\t\t\t\t<zmenaIdentifikacie>' + ($('#druhZmenaId').is(':checked') ? '1' : '0') + '</zmenaIdentifikacie>');
    stringBuilder.appendLine('\t\t\t\t<datumZmeny>' + encodeXML(convertStringToXsdDate($('#datumZmeny').val())) + '</datumZmeny>');
    stringBuilder.appendLine('\t\t\t</typZiadosti>');

    stringBuilder.appendLine('\t\t</registracia>');

    stringBuilder.appendLine('\t\t<druhDane>');

    stringBuilder.appendLine('\t\t\t<danZPrijmov>');
    stringBuilder.appendLine('\t\t\t\t<prijmy>' + ($('#cast1Prijmy').is(':checked') ? '1' : '0') + '</prijmy>');
    stringBuilder.appendLine('\t\t\t\t<ziskaniePovolenia>' + ($('#cast1Ziskanie').is(':checked') ? '1' : '0') + '</ziskaniePovolenia>');
    stringBuilder.appendLine('\t\t\t\t<zruseniePovolenia>' + ($('#cast1Zrusenie').is(':checked') ? '1' : '0') + '</zruseniePovolenia>');

    stringBuilder.appendLine('\t\t\t\t<vznikPovinnosti>');
    stringBuilder.appendLine('\t\t\t\t\t<vznikPovinnostiPlatitela>' + ($('#cast1Vznik').is(':checked') ? '1' : '0') + '</vznikPovinnostiPlatitela>');
    stringBuilder.appendLine('\t\t\t\t\t<zoZavislejCinnosti>' + ($('#cast1ZavCinnost').is(':checked') ? '1' : '0') + '</zoZavislejCinnosti>');
    stringBuilder.appendLine('\t\t\t\t\t<vyberanychZrazkou>' + ($('#cast1Zrazkou').is(':checked') ? '1' : '0') + '</vyberanychZrazkou>');
    stringBuilder.appendLine('\t\t\t\t\t<platitelaPrijmu>' + ($('#cast1Platitela').is(':checked') ? '1' : '0') + '</platitelaPrijmu>');
    stringBuilder.appendLine('\t\t\t\t</vznikPovinnosti>');

    stringBuilder.appendLine('\t\t\t\t<zanikPovinnosti>' + ($('#cast1zanik').is(':checked') ? '1' : '0') + '</zanikPovinnosti>');

    stringBuilder.appendLine('\t\t\t\t<ineUdaje>');
    stringBuilder.appendLine('\t\t\t\t\t<ine>' + ($('#cast1Ine').is(':checked') ? '1' : '0') + '</ine>');
    stringBuilder.appendLine('\t\t\t\t\t<ineText>' + encodeXML($('#cast1IneVypln').val()) + '</ineText>');
    stringBuilder.appendLine('\t\t\t\t</ineUdaje>');

    stringBuilder.appendLine('\t\t\t</danZPrijmov>');

    stringBuilder.appendLine('\t\t\t<danZPridanejHodnoty>');

    stringBuilder.appendLine('\t\t\t\t<pridanaHodnota>' + ($('#cast1PridanaHodnota').is(':checked') ? '1' : '0') + '</pridanaHodnota>');
    stringBuilder.appendLine('\t\t\t\t<osoba>' + ($('#cast1TuzemOsoba').is(':checked') ? '1' : '0') + '</osoba>');

    stringBuilder.appendLine('\t\t\t\t<skupina>');
    stringBuilder.appendLine('\t\t\t\t\t<skupina>' + ($('#cast1Skupina').is(':checked') ? '1' : '0') + '</skupina>');
    stringBuilder.appendLine('\t\t\t\t\t<pocetClenov>' + encodeXML($('#cast1Pocet').val()) + '</pocetClenov>');
    stringBuilder.appendLine('\t\t\t\t</skupina>');

    stringBuilder.appendLine('\t\t\t</danZPridanejHodnoty>');

    stringBuilder.appendLine('\t\t\t<danZPoistenia>');
    stringBuilder.appendLine('\t\t\t\t<zPoistenia>' + ($('#cast1Poistenie').is(':checked') ? '1' : '0') + '</zPoistenia>');
    stringBuilder.appendLine('\t\t\t\t<poistovatel>' + ($('#cast1Poistovatel').is(':checked') ? '1' : '0') + '</poistovatel>');
    stringBuilder.appendLine('\t\t\t\t<poistnik>' + ($('#cast1Poistnik').is(':checked') ? '1' : '0') + '</poistnik>');
    stringBuilder.appendLine('\t\t\t\t<pravnickaOsobaPreuctovaneNaklady>' + ($('#cast1PravOsoba').is(':checked') ? '1' : '0') + '</pravnickaOsobaPreuctovaneNaklady>');
    stringBuilder.appendLine('\t\t\t</danZPoistenia>');

    stringBuilder.appendLine('\t\t</druhDane>');

    stringBuilder.appendLine('\t\t<fyzickaOsoba>');
    stringBuilder.appendLine('\t\t\t<titulPred>' + encodeXML($('#cast2TitulPred').val()) + '</titulPred>');
    stringBuilder.appendLine('\t\t\t<meno>' + encodeXML($('#cast2Meno').val()) + '</meno>');
    stringBuilder.appendLine('\t\t\t<priezvisko>' + encodeXML($('#cast2Priezvisko').val()) + '</priezvisko>');
    stringBuilder.appendLine('\t\t\t<titulZa>' + encodeXML($('#cast2TitulZa').val()) + '</titulZa>');
    stringBuilder.appendLine('\t\t\t<ICO>' + encodeXML($('#cast2Ico').val()) + '</ICO>');
    stringBuilder.appendLine('\t\t\t<RC>' + encodeXML($('#cast2RodneCislo1').val()) + encodeXML($('#cast2RodneCislo2').val()) + '</RC>');
    stringBuilder.appendLine('\t\t\t<datumNarodenia>' + encodeXML(convertStringToXsdDate($('#cast2DatumNar').val())) + '</datumNarodenia>');
    stringBuilder.appendLine('\t\t\t<telefon>' + encodeXML($('#cast2Telefon').val()) + '</telefon>');
    stringBuilder.appendLine('\t\t</fyzickaOsoba>');

    stringBuilder.appendLine('\t\t<pravnickaOsoba>');

    // Vsetko navyse da do r4, ktory ale neulozi
    var meno = divideRows(4, 'obchodneMeno')
    stringBuilder.appendLine('\t\t\t<obchodneMeno1>' + checkIfUndefined(encodeXML(meno[0])) + '</obchodneMeno1>');
    stringBuilder.appendLine('\t\t\t<obchodneMeno2>' + checkIfUndefined(encodeXML(meno[1])) + '</obchodneMeno2>');
    stringBuilder.appendLine('\t\t\t<obchodneMeno3>' + checkIfUndefined(encodeXML(meno[2])) + '</obchodneMeno3>');
    stringBuilder.appendLine('\t\t\t<pravnaForma>' + encodeXML($('#pravnaForma').val()) + '</pravnaForma>');
    stringBuilder.appendLine('\t\t\t<ico>' + encodeXML($('#ico').val()) + '</ico>');
    stringBuilder.appendLine('\t\t</pravnickaOsoba>');

    stringBuilder.appendLine('\t\t<adresa>');
    stringBuilder.appendLine('\t\t\t<ulica>' + encodeXML($('#cast4Ulica').val()) + '</ulica>');

    stringBuilder.appendLine('\t\t\t<cisloDomu>');
    stringBuilder.appendLine('\t\t\t\t<supisneCislo>' + encodeXML($('#cast4OrientacneC').val()) + '</supisneCislo>');
    stringBuilder.appendLine('\t\t\t\t<orientacneCislo>' + encodeXML($('#cast4Lomitko').val()) + '</orientacneCislo>');
    stringBuilder.appendLine('\t\t\t</cisloDomu>');

    stringBuilder.appendLine('\t\t\t<PSC>' + encodeXML($('#cast4Psc').val()) + '</PSC>');
    stringBuilder.appendLine('\t\t\t<obec>' + encodeXML($('#cast4Obec').val()) + '</obec>');

    stringBuilder.appendLine('\t\t\t<stat>');
    stringBuilder.appendLine('\t\t\t\t<statNazov>' + encodeXML(document.getElementById("cast4Stat").options[document.getElementById("cast4Stat").selectedIndex].text) + '</statNazov>');
    stringBuilder.appendLine('\t\t\t\t<kodStatu>' + encodeXML($('#cast4Stat').val()) + '</kodStatu>');
    stringBuilder.appendLine('\t\t\t</stat>');

    stringBuilder.appendLine('\t\t</adresa>');

    stringBuilder.appendLine('\t\t<prilohy>');
    stringBuilder.appendLine('\t\t\t<pocetPriloh>' + encodeXML($('#cast9PocetPriloh').val()) + '</pocetPriloh>');
    stringBuilder.appendLine('\t\t\t<datum>' + encodeXML(convertStringToXsdDate($('#cast9Datum').val())) + '</datum>');
    stringBuilder.appendLine('\t\t\t<podpisane>' + ($('#cast9Vyhlasenia').is(':checked') ? '1' : '0') + '</podpisane>');
    stringBuilder.appendLine('\t\t</prilohy>');

    stringBuilder.appendLine('\t</cast1>');

    stringBuilder.appendLine('\t<cast2>');

    stringBuilder.appendLine('\t\t<miestoPodnikania>' + ($('#cast5Miesto').is(':checked') ? '1' : '0') + '</miestoPodnikania>');
    stringBuilder.appendLine('\t\t<stalaPrevadzkaren>' + ($('#cast5Prevadzkaren').is(':checked') ? '1' : '0') + '</stalaPrevadzkaren>');
    stringBuilder.appendLine('\t\t<prevadzkaren>' + ($('#cast5prevadzkarenSR').is(':checked') ? '1' : '0') + '</prevadzkaren>');
    stringBuilder.appendLine('\t\t<skutocneVedenie>' + ($('#cast5vedenia').is(':checked') ? '1' : '0') + '</skutocneVedenie>');
    stringBuilder.appendLine('\t\t<nazovMiesta>' + encodeXML($('#cast5Nazov').val()) + '</nazovMiesta>');
    stringBuilder.appendLine('\t\t<ulica>' + encodeXML($('#cast5Ulica').val()) + '</ulica>');

    stringBuilder.appendLine('\t\t<cisloDomu>');
    stringBuilder.appendLine('\t\t\t<supisneCislo>' + encodeXML($('#cast5OrientacneC').val()) + '</supisneCislo>');
    stringBuilder.appendLine('\t\t\t<orientacneCislo>' + encodeXML($('#cast5Lomitko').val()) + '</orientacneCislo>');
    stringBuilder.appendLine('\t\t</cisloDomu>');

    stringBuilder.appendLine('\t\t<PSC>' + encodeXML($('#cast5Psc').val()) + '</PSC>');
    stringBuilder.appendLine('\t\t<obec>' + encodeXML($('#cast5Obec').val()) + '</obec>');

    stringBuilder.appendLine('\t</cast2>');

    stringBuilder.appendLine('\t<cast3>');

    stringBuilder.appendLine('\t\t<ICOZlozky>' + encodeXML($('#cast6ICO').val()) + '</ICOZlozky>');
    stringBuilder.appendLine('\t\t<SID>' + encodeXML($('#cast6PoradoveC').val()) + '</SID>');
    stringBuilder.appendLine('\t\t<nazovAUmiestenie>' + encodeXML($('#cast6Nazov').val()) + '</nazovAUmiestenie>');
    stringBuilder.appendLine('\t\t<ulica>' + encodeXML($('#cast6Ulica').val()) + '</ulica>');

    stringBuilder.appendLine('\t\t<cisloDomu>');
    stringBuilder.appendLine('\t\t\t<supisneCislo>' + encodeXML($('#cast6OrientacneC').val()) + '</supisneCislo>');
    stringBuilder.appendLine('\t\t\t<orientacneCislo>' + encodeXML($('#cast6Lomitko').val()) + '</orientacneCislo>');
    stringBuilder.appendLine('\t\t</cisloDomu>');

    stringBuilder.appendLine('\t\t<PSC>' + encodeXML($('#cast6Psc').val()) + '</PSC>');
    stringBuilder.appendLine('\t\t<obec>' + encodeXML($('#cast6Obec').val()) + '</obec>');

    stringBuilder.appendLine('\t</cast3>');

    stringBuilder.appendLine('\t<cast4>');
    stringBuilder.appendLine('\t\t<titulPred>' + encodeXML($('#cast7TitulPred').val()) + '</titulPred>');
    stringBuilder.appendLine('\t\t<meno>' + encodeXML($('#cast7Meno').val()) + '</meno>');
    stringBuilder.appendLine('\t\t<priezvisko>' + encodeXML($('#cast7Priezvisko').val()) + '</priezvisko>');
    stringBuilder.appendLine('\t\t<titulZa>' + encodeXML($('#cast7TitulZa').val()) + '</titulZa>');
    stringBuilder.appendLine('\t\t<ICO>' + encodeXML($('#cast7Ico').val()) + '</ICO>');
    stringBuilder.appendLine('\t\t<rodneCislo>' + encodeXML($('#cast7RodneCislo1').val()) + encodeXML($('#cast7RodneCislo2').val()) + '</rodneCislo>');
    stringBuilder.appendLine('\t\t<datumNarodenia>' + encodeXML(convertStringToXsdDate($('#cast7DatumNar').val())) + '</datumNarodenia>');
    stringBuilder.appendLine('\t\t<telefon>' + encodeXML($('#cast7Telefon').val()) + '</telefon>');
    stringBuilder.appendLine('\t\t<ulica>' + encodeXML($('#cast7Ulica').val()) + '</ulica>');

    stringBuilder.appendLine('\t\t<cisloDomu>');
    stringBuilder.appendLine('\t\t\t<supisneCislo>' + encodeXML($('#cast7SupisneC').val()) + '</supisneCislo>');
    stringBuilder.appendLine('\t\t\t<orientacneCislo>' + encodeXML($('#cast7OrientacneC').val()) + '</orientacneCislo>');
    stringBuilder.appendLine('\t\t</cisloDomu>');

    stringBuilder.appendLine('\t\t<PSC>' + encodeXML($('#cast7psc').val()) + '</PSC>');
    stringBuilder.appendLine('\t\t<obec>' + encodeXML($('#cast7Obec').val()) + '</obec>');

    stringBuilder.appendLine('\t\t<stat>');
    stringBuilder.appendLine('\t\t\t<statNazov>' + encodeXML(document.getElementById("cast7stat").options[document.getElementById("cast7stat").selectedIndex].text) + '</statNazov>');
    stringBuilder.appendLine('\t\t\t<kodStatu>' + encodeXML($('#cast7stat').val()) + '</kodStatu>');
    stringBuilder.appendLine('\t\t</stat>');

    stringBuilder.appendLine('\t</cast4>');

    stringBuilder.appendLine('\t<cast6>');

    stringBuilder.appendLine('\t\t<ulica>' + encodeXML($('#cast8Ulica').val()) + '</ulica>');

    stringBuilder.appendLine('\t\t<cisloDomu>');
    stringBuilder.appendLine('\t\t\t<supisneCislo>' + encodeXML($('#cast8OrientacneC').val()) + '</supisneCislo>');
    stringBuilder.appendLine('\t\t\t<orientacneCislo>' + encodeXML($('#cast8Lomitko').val()) + '</orientacneCislo>');
    stringBuilder.appendLine('\t\t</cisloDomu>');

    stringBuilder.appendLine('\t\t<PSC>' + encodeXML($('#cast8Psc').val()) + '</PSC>');
    stringBuilder.appendLine('\t\t<obec>' + encodeXML($('#cast8Obec').val()) + '</obec>');

    stringBuilder.appendLine('\t\t<stat>');
    stringBuilder.appendLine('\t\t\t<statNazov>' + encodeXML(document.getElementById("cast8Stat").options[document.getElementById("cast8Stat").selectedIndex].text) + '</statNazov>');
    stringBuilder.appendLine('\t\t\t<kodStatu>' + encodeXML($('#cast8Stat').val()) + '</kodStatu>');
    stringBuilder.appendLine('\t\t</stat>');

    stringBuilder.appendLine('\t</cast6>');

    stringBuilder.appendLine('\t<cast7>');

    stringBuilder.appendLine('\t\t<fyzickaOsoba>');
    stringBuilder.appendLine('\t\t\t<splnomocnenecFO>' + ($('#cast9rbFO').is(':checked') ? '1' : '0') + '</splnomocnenecFO>');
    stringBuilder.appendLine('\t\t\t<DIC>' + encodeXML($('#cast9DICFO').val()) + '</DIC>');
    stringBuilder.appendLine('\t\t\t<RC>' + encodeXML($('#cast9RodneCislo1').val()) + encodeXML($('#cast9RodneCislo2').val()) + '</RC>');
    stringBuilder.appendLine('\t\t\t<meno>' + encodeXML($('#cast9Meno').val()) + '</meno>');
    stringBuilder.appendLine('\t\t\t<priezvisko>' + encodeXML($('#cast9Priezvisko').val()) + '</priezvisko>');
    stringBuilder.appendLine('\t\t</fyzickaOsoba>');

    stringBuilder.appendLine('\t\t<pravnickaOsoba>');
    stringBuilder.appendLine('\t\t\t<splnomocnenecPO>' + ($('#cast9rbPO').is(':checked') ? '1' : '0') + '</splnomocnenecPO>');
    stringBuilder.appendLine('\t\t\t<DIC>' + encodeXML($('#cast9DICPO').val()) + '</DIC>');
    stringBuilder.appendLine('\t\t\t<ICO>' + encodeXML($('#cast9ICO').val()) + '</ICO>');
    stringBuilder.appendLine('\t\t\t<nazov1>' + encodeXML($('#cast9Nazov').val().substr(0, 37)) + '</nazov1>');
    stringBuilder.appendLine('\t\t\t<nazov2>' + encodeXML($('#cast9Nazov').val().substr(37, 37)) + '</nazov2>');
    stringBuilder.appendLine('\t\t</pravnickaOsoba>');

    stringBuilder.appendLine('\t\t<udaje>');
    stringBuilder.appendLine('\t\t\t<ulica>' + encodeXML($('#cast9Ulica').val()) + '</ulica>');

    stringBuilder.appendLine('\t\t\t<cisloDomu>');
    stringBuilder.appendLine('\t\t\t\t<supisneCislo>' + encodeXML($('#cast9OrientacneC').val()) + '</supisneCislo>');
    stringBuilder.appendLine('\t\t\t\t<orientacneCislo>' + encodeXML($('#cast9Lomitko').val()) + '</orientacneCislo>');
    stringBuilder.appendLine('\t\t\t</cisloDomu>');

    stringBuilder.appendLine('\t\t\t<PSC>' + encodeXML($('#cast9Psc').val()) + '</PSC>');
    stringBuilder.appendLine('\t\t\t<obec>' + encodeXML($('#cast9Obec').val()) + '</obec>');
    stringBuilder.appendLine('\t\t</udaje>');

    stringBuilder.appendLine('\t</cast7>');

    stringBuilder.appendLine('\t<cast8>');
    stringBuilder.appendLine('\t\t<poznamky>' + encodeXML($('#cast10Poznamky').val()) + '</poznamky>');
    stringBuilder.appendLine('\t</cast8>');

    stringBuilder.appendLine('\t<priloha1>');

    stringBuilder.appendLine('\t\t<zakon41>');
    stringBuilder.appendLine('\t\t\t<zakon41Check>' + ($('#zakon41check2').is(':checked') ? '1' : '0') + '</zakon41Check>');
    stringBuilder.appendLine('\t\t\t<zakon41Obrat>' + encodeXML($('#zakon41Obrat').val()) + '</zakon41Obrat>');

    stringBuilder.appendLine('\t\t\t<zakon41MR>');
    stringBuilder.appendLine('\t\t\t\t<zakon41mesiac>' + encodeXML($('#zakon41mesiac').val()) + '</zakon41mesiac>');
    stringBuilder.appendLine('\t\t\t\t<zakon41rok>' + encodeXML($('#zakon41rok').val()) + '</zakon41rok>');
    stringBuilder.appendLine('\t\t\t</zakon41MR>');

    stringBuilder.appendLine('\t\t</zakon41>');

    stringBuilder.appendLine('\t\t<zakon42>');
    stringBuilder.appendLine('\t\t\t<zakon42Check>' + ($('#zakon42check').is(':checked') ? '1' : '0') + '</zakon42Check>');
    stringBuilder.appendLine('\t\t\t<zakon42Datum>' + encodeXML(convertStringToXsdDate($('#zakon42Datum').val())) + '</zakon42Datum>');
    stringBuilder.appendLine('\t\t</zakon42>');

    stringBuilder.appendLine('\t\t<zakon44>');
    stringBuilder.appendLine('\t\t\t<zakon44Check>' + ($('#zakon44check').is(':checked') ? '1' : '0') + '</zakon44Check>');
    stringBuilder.appendLine('\t\t\t<zakon44Datum>' + encodeXML(convertStringToXsdDate($('#zakon44Datum').val())) + '</zakon44Datum>');
    stringBuilder.appendLine('\t\t\t<zakon44Datum2>' + encodeXML(convertStringToXsdDate($('#zakon44Datum2').val())) + '</zakon44Datum2>');
    stringBuilder.appendLine('\t\t\t<zakon44Datum3>' + encodeXML(convertStringToXsdDate($('#zakon44Datum3').val())) + '</zakon44Datum3>');
    stringBuilder.appendLine('\t\t\t<zakon44Dovod48cCheck>' + ($('#zakon45check').is(':checked') ? '1' : '0') + '</zakon44Dovod48cCheck>');
    stringBuilder.appendLine('\t\t</zakon44>');

    stringBuilder.appendLine('\t\t<zakon5>');
    stringBuilder.appendLine('\t\t\t<zakon5Check>' + ($('#zakon5check').is(':checked') ? '1' : '0') + '</zakon5Check>');
    stringBuilder.appendLine('\t\t\t<zakon5Dovod48cCheck>' + ($('#zakon5check2').is(':checked') ? '1' : '0') + '</zakon5Dovod48cCheck>');
    stringBuilder.appendLine('\t\t</zakon5>');

    stringBuilder.appendLine('\t\t<zakon61Zmena>');
    stringBuilder.appendLine('\t\t\t<zakon61Check>' + ($('#zakon6144check').is(':checked') ? '1' : '0') + '</zakon61Check>');
    stringBuilder.appendLine('\t\t\t<zakon6154Check>' + ($('#zakon61445').is(':checked') ? '1' : '0') + '</zakon6154Check>');
    stringBuilder.appendLine('\t\t\t<zakon61Datum>' + encodeXML(convertStringToXsdDate($('#zakon6144Datum').val())) + '</zakon61Datum>');
    stringBuilder.appendLine('\t\t</zakon61Zmena>');

    stringBuilder.appendLine('\t\t<zakon62Zmena>');
    stringBuilder.appendLine('\t\t\t<zakon62Check>' + ($('#zakon6256check').is(':checked') ? '1' : '0') + '</zakon62Check>');
    stringBuilder.appendLine('\t\t\t<zakon6245Check>' + ($('#zakon62565').is(':checked') ? '1' : '0') + '</zakon6245Check>');
    stringBuilder.appendLine('\t\t\t<zakon62Datum>' + encodeXML(convertStringToXsdDate($('#zakon6256Datum').val())) + '</zakon62Datum>');
    stringBuilder.appendLine('\t\t</zakon62Zmena>');

    stringBuilder.appendLine('\t\t<zakon71>');
    stringBuilder.appendLine('\t\t\t<zakon71check>' + ($('#zakon71check').is(':checked') ? '1' : '0') + '</zakon71check>');
    stringBuilder.appendLine('\t\t\t<zakon71Hodnota>' + encodeXML($('#zakon71Hodnota').val()) + '</zakon71Hodnota>');
    stringBuilder.appendLine('\t\t</zakon71>');

    stringBuilder.appendLine('\t\t<zakon72>');
    stringBuilder.appendLine('\t\t\t<zakon72check>' + ($('#zakon72check').is(':checked') ? '1' : '0') + '</zakon72check>');
    stringBuilder.appendLine('\t\t</zakon72>');

    stringBuilder.appendLine('\t\t<zakon7>');
    stringBuilder.appendLine('\t\t\t<zakon7check>' + ($('#zakon7check').is(':checked') ? '1' : '0') + '</zakon7check>');
    stringBuilder.appendLine('\t\t</zakon7>');

    stringBuilder.appendLine('\t</priloha1>');
    /****************************************/
    $('#layoutRow33213').pageableSection().saveCurrentPage();
    var polesekcii = $('#layoutRow33213').pageableSection();
    var pocetsekcii = polesekcii.totalPages;
    var sekcia = 0;
    var aktstrana = 0;
    for (var aktcyklus = 1; aktcyklus <= pocetsekcii; aktcyklus++) {
        var pageValues1 = polesekcii.pages[aktcyklus - 1];


        stringBuilder.appendLine('\t<priloha2>');
        stringBuilder.appendLine('\t\t<registraciaClenaSkupiny>' + getPageValueCh2Xml(pageValues1, 'pr2RegClena') + '</registraciaClenaSkupiny>');

        stringBuilder.appendLine('\t\t<zmenaRegistracieSkupiny>');
        stringBuilder.appendLine('\t\t\t<pristupeniaClena>' + getPageValueCh2Xml(pageValues1, 'pr2RegPristupNove') + '</pristupeniaClena>');
        stringBuilder.appendLine('\t\t\t<vystupeniaClena>' + getPageValueCh2Xml(pageValues1, 'pr2RegVystup') + '</vystupeniaClena>');
        stringBuilder.appendLine('\t\t\t<zanikClena>' + getPageValueCh2Xml(pageValues1, 'pr2RegZanik') + '</zanikClena>');
        stringBuilder.appendLine('\t\t\t<pristupenieNastupca>' + getPageValueCh2Xml(pageValues1, 'pr2RegPristupNastup') + '</pristupenieNastupca>');
        stringBuilder.appendLine('\t\t</zmenaRegistracieSkupiny>');

        stringBuilder.appendLine('\t\t<clenSkupiny>');

        if (encodeXML(getPageValue2Xml(pageValues1, 'pr2ClenIC')) || encodeXML(getPageValue2Xml(pageValues1, 'pr2ClenDIC')))
            stringBuilder.appendLine('\t\t\t<clenICDPH>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2ClenIC')) + encodeXML(getPageValue2Xml(pageValues1, 'pr2ClenDIC')) + '</clenICDPH>');
        else
            stringBuilder.appendLine('\t\t\t<clenICDPH></clenICDPH>');
        if (encodeXML(getPageValue2Xml(pageValues1, 'pr2ClenICO')))
            stringBuilder.appendLine('\t\t\t<clenICO>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2ClenICO')) + '</clenICO>');
        else
            stringBuilder.appendLine('\t\t\t<clenICO></clenICO>');
        stringBuilder.appendLine('\t\t\t<secpr2ClenRC>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2ClenRC1')) + encodeXML(getPageValue2Xml(pageValues1, 'pr2ClenRC2')) + '</secpr2ClenRC>');
        stringBuilder.appendLine('\t\t\t<clenObchMeno1>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2ClenObchMeno', 0, 37)) + '</clenObchMeno1>');
        stringBuilder.appendLine('\t\t\t<clenObchMeno2>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2ClenObchMeno', 37, 37)) + '</clenObchMeno2>');
        stringBuilder.appendLine('\t\t\t<clenObchMeno3>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2ClenObchMeno', 74, 37)) + '</clenObchMeno3>');

        stringBuilder.appendLine('\t\t</clenSkupiny>');

        stringBuilder.appendLine('\t\t<sidlo>');

        stringBuilder.appendLine('\t\t\t<sidloUlica>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2SidloUlica')) + '</sidloUlica>');

        stringBuilder.appendLine('\t\t\t<sidloCisloDomu>');
        stringBuilder.appendLine('\t\t\t\t<supisneCislo>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2SidloCislo')) + '</supisneCislo>');
        stringBuilder.appendLine('\t\t\t\t<orientacneCislo>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2SidloOrient')) + '</orientacneCislo>');
        stringBuilder.appendLine('\t\t\t</sidloCisloDomu>');

        stringBuilder.appendLine('\t\t\t<sidloPSC>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2SidloPsc')) + '</sidloPSC>');
        stringBuilder.appendLine('\t\t\t<sidloObec>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2SidloObec')) + '</sidloObec>');
        if (encodeXML(getPageValue2Xml(pageValues1, 'pr2SidloStat'))) {
            stringBuilder.appendLine('\t\t\t<sidloStat>');
            stringBuilder.appendLine('\t\t\t\t<statNazov>' + encodeXML(getPageValue2XmlStat(pageValues1, 'pr2SidloStat', 'stat')) + '</statNazov>');
            stringBuilder.appendLine('\t\t\t\t<kodStatu>' + encodeXML(getPageValue2XmlStat(pageValues1, 'pr2SidloStat', 'kod')) + '</kodStatu>');
            stringBuilder.appendLine('\t\t\t</sidloStat>');
        } else {
            stringBuilder.appendLine('\t\t\t<sidloStat>')
            stringBuilder.appendLine('\t\t\t\t<statNazov></statNazov>');
            stringBuilder.appendLine('\t\t\t\t<kodStatu></kodStatu>');
            stringBuilder.appendLine('\t\t\t</sidloStat>');
        }
        if (encodeXML(getPageValue2Xml(pageValues1, 'pr2SidloTel')))
            stringBuilder.appendLine('\t\t\t<sidloTel>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2SidloTel')) + '</sidloTel>');
        else
            stringBuilder.appendLine('\t\t\t<sidloTel></sidloTel>');

        stringBuilder.appendLine('\t\t</sidlo>');

        stringBuilder.appendLine('\t\t<adresaPodnikania>');

        stringBuilder.appendLine('\t\t\t<adresaUlica>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2AdresaUlica')) + '</adresaUlica>');

        stringBuilder.appendLine('\t\t\t<adresaCisloDomu>');
        stringBuilder.appendLine('\t\t\t\t<supisneCislo>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2AdresaCislo')) + '</supisneCislo>');
        stringBuilder.appendLine('\t\t\t\t<orientacneCislo>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2AdresaOrient')) + '</orientacneCislo>');
        stringBuilder.appendLine('\t\t\t</adresaCisloDomu>');

        stringBuilder.appendLine('\t\t\t<adresaPSC>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2AdresaPsc')) + '</adresaPSC>');
        stringBuilder.appendLine('\t\t\t<adresaObec>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2AdresaObec')) + '</adresaObec>');
        if (encodeXML(getPageValue2Xml(pageValues1, 'pr2AdresaTel')))
            stringBuilder.appendLine('\t\t\t<adresaTel>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2AdresaTel')) + '</adresaTel>');
        else
            stringBuilder.appendLine('\t\t\t<adresaTel></adresaTel>');

        stringBuilder.appendLine('\t\t</adresaPodnikania>');

        stringBuilder.appendLine('\t\t<zastupca>');

        stringBuilder.appendLine('\t\t\t<zastupcaMeno>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2AdresaMeno')) + '</zastupcaMeno>');
        stringBuilder.appendLine('\t\t\t<zastupcaPriezvisko>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2AdresaPriezvisko')) + '</zastupcaPriezvisko>');
        stringBuilder.appendLine('\t\t\t<zastupcaRC>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2ZastupcaRC1')) + encodeXML(getPageValue2Xml(pageValues1, 'pr2ZastupcaRC2')) + '</zastupcaRC>');
        if (encodeXML(getPageValue2Xml(pageValues1, 'pr2ZastupcaDat')))
            stringBuilder.appendLine('\t\t\t<zastupcaDatumNarodenia>' + encodeXML(convertStringToXsdDate(getPageValue2Xml(pageValues1, 'pr2ZastupcaDat'))) + '</zastupcaDatumNarodenia>');
        else
            stringBuilder.appendLine('\t\t\t<zastupcaDatumNarodenia></zastupcaDatumNarodenia>');
        stringBuilder.appendLine('\t\t\t<zastupcaUlica>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2AdrStatutarUlica')) + '</zastupcaUlica>');
        stringBuilder.appendLine('\t\t\t<zastupcaCisloDomu>');
        stringBuilder.appendLine('\t\t\t\t<supisneCislo>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2AdrStatutarSupisneCislo')) + '</supisneCislo>');
        stringBuilder.appendLine('\t\t\t\t<orientacneCislo>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2AdrStatutarOrientacneCislo')) + '</orientacneCislo>');
        stringBuilder.appendLine('\t\t\t</zastupcaCisloDomu>');

        stringBuilder.appendLine('\t\t\t<zastupcaPSC>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2AdrStatutarPSC')) + '</zastupcaPSC>');
        stringBuilder.appendLine('\t\t\t<zastupcaObec>' + encodeXML(getPageValue2Xml(pageValues1, 'pr2AdrStatutarObec')) + '</zastupcaObec>');
        if (encodeXML(getPageValue2Xml(pageValues1, 'pr2AdrStatutarStat'))) {
            stringBuilder.appendLine('\t\t\t<zastupcaStat>');
            stringBuilder.appendLine('\t\t\t\t<statNazov>' + encodeXML(getPageValue2XmlStat(pageValues1, 'pr2AdrStatutarStat', 'stat')) + '</statNazov>');
            stringBuilder.appendLine('\t\t\t\t<kodStatu>' + encodeXML(getPageValue2XmlStat(pageValues1, 'pr2AdrStatutarStat', 'kod')) + '</kodStatu>');
            stringBuilder.appendLine('\t\t\t</zastupcaStat>');
        } else {
            stringBuilder.appendLine('\t\t\t<zastupcaStat>')
            stringBuilder.appendLine('\t\t\t\t<statNazov></statNazov>');
            stringBuilder.appendLine('\t\t\t\t<kodStatu></kodStatu>');
            stringBuilder.appendLine('\t\t\t</zastupcaStat>');
        }

        stringBuilder.appendLine('\t\t</zastupca>');

        stringBuilder.appendLine('\t\t<potvrdenie>');
        if (encodeXML(getPageValue2Xml(pageValues1, 'pr2PotvrdDatum')))
            stringBuilder.appendLine('\t\t\t<potvrdenieDatum>' + encodeXML(convertStringToXsdDate(getPageValue2Xml(pageValues1, 'pr2PotvrdDatum'))) + '</potvrdenieDatum>');
        else
            stringBuilder.appendLine('\t\t\t<potvrdenieDatum></potvrdenieDatum>');
        stringBuilder.appendLine('\t\t\t<potvrdeniePodpis>' + getPageValueCh2Xml(pageValues1, 'potvrdeniePodpis') + '</potvrdeniePodpis>');
        stringBuilder.appendLine('\t\t</potvrdenie>');

        stringBuilder.appendLine('\t</priloha2>');
    }
    stringBuilder.appendLine('</dokument>');
    return stringBuilder.string();
}

function getPageValue2Xml(pageValues, elementId, x, y) {
    for (var i = 0; i < pageValues.values.length; i++) {
        var value = pageValues.values[i];
        if (value.key === elementId) {
            if (!isNaN(x) && !isNaN(y))
                return value.value.substr(x, y);
            else {
                return value.value || '';
            }
        }
    }
}

function getPageValue2XmlStat(pageValues, elementId, stat) {
    for (var i = 0; i < pageValues.values.length; i++) {
        var value = pageValues.values[i];

        if (value.key === elementId) {
            if (stat == 'kod') {
                return value.value || '';
                break;
            } else if (stat == 'stat') {
                var e = document.getElementById(elementId);
                for (var i = 0; i < e.length; i++) {
                    if (e[i].value == value.value)
                        return e[i].innerHTML //FF nepozna .innerText, vratilo by undefined
                }
                break;
            } else {
                return value.text || '';
            }
        }
    }
}

function getPageValueCh2Xml(pageValues, elementId) {
    var vrat = '0';
    for (var i = 0; i < pageValues.values.length; i++) {
        var value = pageValues.values[i];
        if (value.key === elementId) {
            //if ($("#"+value.key).attr("checked") == true) {
            if (value.value == true) {
                vrat = '1';
            }
            break;
        }
    }
    return vrat;
}

function vypocetpoctustranXml(pocetsekcii, sekciinastranu) {
    var pocetstran = Math.floor(pocetsekcii / sekciinastranu);
    if ((pocetsekcii % sekciinastranu) > 0) {
        pocetstran = pocetstran + 1;
    }
    return pocetstran
}

function isNillable(stringBuilder, elementName, elementId, isDate) {
    if ($('#' + elementId).val()) {
        if (isDate)
            stringBuilder.appendLine('<' + elementName + '>' + convertStringToXsdDate(encodeXML($('#' + elementId).val())) + '</' + elementName + '>');
        else
            stringBuilder.appendLine('<' + elementName + '>' + encodeXML($('#' + elementId).val()) + '</' + elementName + '>');
    } else
        stringBuilder.appendLine('<' + elementName + ' xsi:nil="true"></' + elementName + '>');
}

function convertStringToXsdDate(dateString) {
    if (!!dateString) {
        return dateString.substr(6, 4) + '-' + dateString.substr(3, 2) + '-' + dateString.substr(0, 2)
    } else {
        return "";
    }
}

function checkIfUndefined(string) {
    if (string && string != 0) {
        return string
    } else {
        return "";
    }
}

function checkStatElement(stringBuilder, statId, nilable) {
    var e = document.getElementById(statId);
    if (e && e.value) {
        stringBuilder.appendLine('<stat>');
        stringBuilder.appendLine('<statNazov>' + e.options[e.selectedIndex].text + '</statNazov>');
        stringBuilder.appendLine('<kodStatu>' + e.options[e.selectedIndex].value + '</kodStatu>');
        stringBuilder.appendLine('</stat>');
    } else {
        if (nilable) {
            stringBuilder.appendLine('<stat xsi:nil="true"></stat>');
        } else {
            stringBuilder.appendLine('<stat></stat>');
        }
    }
}

var xml;
var stringBuilder;
//**************************************************
var xmlDoc;
var txt;

function loadxmlfinal(txt) {
    if (window.DOMParser) {
        parser = new DOMParser();
        xmlDoc = parser.parseFromString(txt, "text/xml");
    } else // Internet Explorer
    {
        xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
        xmlDoc.async = false;
        xmlDoc.loadXML(txt);
    }
    var dokument_xx = xmlDoc.getElementsByTagName('dokument')[0];
    if (dokument_xx) {
        var cast1_xx = dokument_xx.getElementsByTagName('cast1')[0];
        if (cast1_xx) {
            var registracia_xx = cast1_xx.getElementsByTagName('registracia')[0];
            if (registracia_xx) {
                var regCisla_xx = registracia_xx.getElementsByTagName('regCisla')[0];
                if (regCisla_xx) {
                    $('#dic').val(getElementsValXml(regCisla_xx.getElementsByTagName('DIC')[0]));
                    $('#icdOddiel0').val(getElementsValXml(regCisla_xx.getElementsByTagName('ICDPH')[0]));
                }
                var typSubjektu_xx = registracia_xx.getElementsByTagName('typSubjektu')[0];
                if (typSubjektu_xx) {
                    $('#foOddiel0').attr('checked', getElementsValXml(typSubjektu_xx.getElementsByTagName('fyzickaOsoba')[0]) == 1 ? true : false);
                    $('#poOddiel0').attr('checked', getElementsValXml(typSubjektu_xx.getElementsByTagName('pravnickaOsoba')[0]) == 1 ? true : false);
                }
                var typZiadosti_xx = registracia_xx.getElementsByTagName('typZiadosti')[0];
                if (typZiadosti_xx) {
                    $('#druhRegistracia').attr('checked', getElementsValXml(typZiadosti_xx.getElementsByTagName('ziadostORegistraciu')[0]) == 1 ? true : false);
                    $('#druhZrusenieReg').attr('checked', getElementsValXml(typZiadosti_xx.getElementsByTagName('zrusenieRegistracie')[0]) == 1 ? true : false);
                    $('#druhZmenaReg').attr('checked', getElementsValXml(typZiadosti_xx.getElementsByTagName('zmenaRegistracie')[0]) == 1 ? true : false);
                    $('#druhZmenaId').attr('checked', getElementsValXml(typZiadosti_xx.getElementsByTagName('zmenaIdentifikacie')[0]) == 1 ? true : false);
                    if (getElementsValXml(typZiadosti_xx.getElementsByTagName('zmenaRegistracie')[0]) == 1 || getElementsValXml(typZiadosti_xx.getElementsByTagName('zmenaIdentifikacie')[0]) == 1)
                        $("#datumZmeny").removeAttr("disabled");
                    $('#datumZmeny').val(convertXsdDateToString(getElementsValXml(typZiadosti_xx.getElementsByTagName('datumZmeny')[0])));
                }
            }
            var druhDane_xx = cast1_xx.getElementsByTagName('druhDane')[0];
            if (druhDane_xx) {
                var danZPrijmov_xx = druhDane_xx.getElementsByTagName('danZPrijmov')[0];
                if (danZPrijmov_xx) {
                    $('#cast1Prijmy').attr('checked', getElementsValXml(danZPrijmov_xx.getElementsByTagName('prijmy')[0]) == 1 ? true : false);
                    $('#cast1Ziskanie').attr('checked', getElementsValXml(danZPrijmov_xx.getElementsByTagName('ziskaniePovolenia')[0]) == 1 ? true : false);
                    $('#cast1Zrusenie').attr('checked', getElementsValXml(danZPrijmov_xx.getElementsByTagName('zruseniePovolenia')[0]) == 1 ? true : false);
                    var vznikPovinnosti_xx = danZPrijmov_xx.getElementsByTagName('vznikPovinnosti')[0];
                    if (vznikPovinnosti_xx) {
                        $('#cast1Vznik').attr('checked', getElementsValXml(vznikPovinnosti_xx.getElementsByTagName('vznikPovinnostiPlatitela')[0]) == 1 ? true : false);
                        $('#cast1ZavCinnost').attr('checked', getElementsValXml(vznikPovinnosti_xx.getElementsByTagName('zoZavislejCinnosti')[0]) == 1 ? true : false);
                        $('#cast1Zrazkou').attr('checked', getElementsValXml(vznikPovinnosti_xx.getElementsByTagName('vyberanychZrazkou')[0]) == 1 ? true : false);
                        $('#cast1Platitela').attr('checked', getElementsValXml(vznikPovinnosti_xx.getElementsByTagName('platitelaPrijmu')[0]) == 1 ? true : false);
                    }
                    $('#cast1zanik').attr('checked', getElementsValXml(danZPrijmov_xx.getElementsByTagName('zanikPovinnosti')[0]) == 1 ? true : false);
                    var ineUdaje_xx = danZPrijmov_xx.getElementsByTagName('ineUdaje')[0];
                    if (ineUdaje_xx) {
                        $('#cast1Ine').attr('checked', getElementsValXml(ineUdaje_xx.getElementsByTagName('ine')[0]) == 1 ? true : false);
                        if (getElementsValXml(ineUdaje_xx.getElementsByTagName('ine')[0]) == 1)
                            $("#cast1IneVypln").removeAttr("disabled");
                        $('#cast1IneVypln').val(getElementsValXml(ineUdaje_xx.getElementsByTagName('ineText')[0]));
                    }
                }
                var danZPridanejHodnoty_xx = druhDane_xx.getElementsByTagName('danZPridanejHodnoty')[0];
                if (danZPridanejHodnoty_xx) {
                    $('#cast1PridanaHodnota').attr('checked', getElementsValXml(danZPridanejHodnoty_xx.getElementsByTagName('pridanaHodnota')[0]) == 1 ? true : false);
                    $('#cast1TuzemOsoba').attr('checked', getElementsValXml(danZPridanejHodnoty_xx.getElementsByTagName('osoba')[0]) == 1 ? true : false);
                    var skupina_xx = danZPridanejHodnoty_xx.getElementsByTagName('skupina')[0];
                    if (skupina_xx) {
                        $('#cast1Skupina').attr('checked', getElementsValXml(skupina_xx.getElementsByTagName('skupina')[0]) == 1 ? true : false);
                        if (getElementsValXml(skupina_xx.getElementsByTagName('skupina')[0]) == 1)
                            $("#cast1Pocet").removeAttr("disabled");
                        $('#cast1Pocet').val(getElementsValXml(skupina_xx.getElementsByTagName('pocetClenov')[0]));
                    }
                }
                var danZPoistenia_xx = druhDane_xx.getElementsByTagName('danZPoistenia')[0];
                if (danZPoistenia_xx) {
                    $('#cast1Poistenie').attr('checked', getElementsValXml(danZPoistenia_xx.getElementsByTagName('zPoistenia')[0]) == 1 ? true : false);
                    $('#cast1Poistovatel').attr('checked', getElementsValXml(danZPoistenia_xx.getElementsByTagName('poistovatel')[0]) == 1 ? true : false);
                    $('#cast1Poistnik').attr('checked', getElementsValXml(danZPoistenia_xx.getElementsByTagName('poistnik')[0]) == 1 ? true : false);
                    $('#cast1PravOsoba').attr('checked', getElementsValXml(danZPoistenia_xx.getElementsByTagName('pravnickaOsobaPreuctovaneNaklady')[0]) == 1 ? true : false);
                }
            }
            var fyzickaOsoba_xx = cast1_xx.getElementsByTagName('fyzickaOsoba')[1];
            if (fyzickaOsoba_xx) {
                $('#cast2TitulPred').val(getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('titulPred')[0]));
                $('#cast2Meno').val(getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('meno')[0]));
                $('#cast2Priezvisko').val(getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('priezvisko')[0]));
                $('#cast2TitulZa').val(getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('titulZa')[0]));
                $('#cast2Ico').val(getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('ICO')[0]));
                $('#cast2RodneCislo1').val(getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('RC')[0]).substr(0, 6));
                $('#cast2RodneCislo2').val(getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('RC')[0]).substr(6, 4));
                $('#cast2DatumNar').val(convertXsdDateToString(getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('datumNarodenia')[0])));
                $('#cast2Telefon').val(getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('telefon')[0]));
            }
            var pravnickaOsoba_xx = cast1_xx.getElementsByTagName('pravnickaOsoba')[1];
            if (pravnickaOsoba_xx) {
                var obchm = getElementsValXml(pravnickaOsoba_xx.getElementsByTagName('obchodneMeno1')[0]);
                if (getElementsValXml(pravnickaOsoba_xx.getElementsByTagName('obchodneMeno2')[0]) != "")
                    obchm += '\n' + checkIfUndefined(getElementsValXml(pravnickaOsoba_xx.getElementsByTagName('obchodneMeno2')[0]));
                if (getElementsValXml(pravnickaOsoba_xx.getElementsByTagName('obchodneMeno3')[0]) != "")
                    obchm += '\n' + checkIfUndefined(getElementsValXml(pravnickaOsoba_xx.getElementsByTagName('obchodneMeno3')[0]));
                $('#obchodneMeno').val(obchm);

                // pravna forma - stare hodnoty
                var val = getElementsValXml(pravnickaOsoba_xx.getElementsByTagName('pravnaForma')[0]);
                if (val == '433')
                    while ($("#pravnaForma  option[value='433']").parent('span.toggleOption').length) // Zobraz pozadovane XXXX
                        $("#pravnaForma  option[value='433']").unwrap();
                $('#pravnaForma').val(val);

                $('#ico').val(getElementsValXml(pravnickaOsoba_xx.getElementsByTagName('ico')[0]));
            }
            var adresa_xx = cast1_xx.getElementsByTagName('adresa')[0];
            if (adresa_xx) {
                $('#cast4Ulica').val(getElementsValXml(adresa_xx.getElementsByTagName('ulica')[0]));
                var cisloDomu_xx = adresa_xx.getElementsByTagName('cisloDomu')[0];
                if (cisloDomu_xx) {
                    $('#cast4OrientacneC').val(getElementsValXml(cisloDomu_xx.getElementsByTagName('supisneCislo')[0]));
                    $('#cast4Lomitko').val(getElementsValXml(cisloDomu_xx.getElementsByTagName('orientacneCislo')[0]));
                }
                $('#cast4Psc').val(getElementsValXml(adresa_xx.getElementsByTagName('PSC')[0]));
                $('#cast4Obec').val(getElementsValXml(adresa_xx.getElementsByTagName('obec')[0]));
                var stat_xx = adresa_xx.getElementsByTagName('stat')[0];
                if (stat_xx.hasChildNodes()) {
                    $('#cast4Stat').val(getElementsValXml(stat_xx.getElementsByTagName('kodStatu')[0]));
                }
            }
            var prilohy_xx = cast1_xx.getElementsByTagName('prilohy')[0];
            if (prilohy_xx) {
                $('#cast9PocetPriloh').val(getElementsValXml(prilohy_xx.getElementsByTagName('pocetPriloh')[0]));
                $('#cast9Datum').val(convertXsdDateToString(getElementsValXml(prilohy_xx.getElementsByTagName('datum')[0])));
                $('#cast9Vyhlasenia').attr('checked', getElementsValXml(prilohy_xx.getElementsByTagName('podpisane')[0]) == 1 ? true : false);
            }
        }
        var cast2_xx = dokument_xx.getElementsByTagName('cast2')[0];
        if (cast2_xx) {
            $('#cast5Miesto').attr('checked', getElementsValXml(cast2_xx.getElementsByTagName('miestoPodnikania')[0]) == 1 ? true : false);
            $('#cast5Prevadzkaren').attr('checked', getElementsValXml(cast2_xx.getElementsByTagName('stalaPrevadzkaren')[0]) == 1 ? true : false);
            $('#cast5prevadzkarenSR').attr('checked', getElementsValXml(cast2_xx.getElementsByTagName('prevadzkaren')[0]) == 1 ? true : false);
            $('#cast5vedenia').attr('checked', getElementsValXml(cast2_xx.getElementsByTagName('skutocneVedenie')[0]) == 1 ? true : false);
            $('#cast5Nazov').val(getElementsValXml(cast2_xx.getElementsByTagName('nazovMiesta')[0]));
            $('#cast5Ulica').val(getElementsValXml(cast2_xx.getElementsByTagName('ulica')[0]));
            var cisloDomu_xx = cast2_xx.getElementsByTagName('cisloDomu')[0];
            if (cisloDomu_xx) {
                $('#cast5OrientacneC').val(getElementsValXml(cisloDomu_xx.getElementsByTagName('supisneCislo')[0]));
                $('#cast5Lomitko').val(getElementsValXml(cisloDomu_xx.getElementsByTagName('orientacneCislo')[0]));
            }
            $('#cast5Psc').val(getElementsValXml(cast2_xx.getElementsByTagName('PSC')[0]));
            $('#cast5Obec').val(getElementsValXml(cast2_xx.getElementsByTagName('obec')[0]));
        }
        var cast3_xx = dokument_xx.getElementsByTagName('cast3')[0];
        if (cast3_xx) {
            $('#cast6ICO').val(getElementsValXml(cast3_xx.getElementsByTagName('ICOZlozky')[0]));
            $('#cast6PoradoveC').val(getElementsValXml(cast3_xx.getElementsByTagName('SID')[0]));
            $('#cast6Nazov').val(getElementsValXml(cast3_xx.getElementsByTagName('nazovAUmiestenie')[0]));
            $('#cast6Ulica').val(getElementsValXml(cast3_xx.getElementsByTagName('ulica')[0]));
            var cisloDomu_xx = cast3_xx.getElementsByTagName('cisloDomu')[0];
            if (cisloDomu_xx) {
                $('#cast6OrientacneC').val(getElementsValXml(cisloDomu_xx.getElementsByTagName('supisneCislo')[0]));
                $('#cast6Lomitko').val(getElementsValXml(cisloDomu_xx.getElementsByTagName('orientacneCislo')[0]));
            }
            $('#cast6Psc').val(getElementsValXml(cast3_xx.getElementsByTagName('PSC')[0]));
            $('#cast6Obec').val(getElementsValXml(cast3_xx.getElementsByTagName('obec')[0]));
        }
        var cast4_xx = dokument_xx.getElementsByTagName('cast4')[0];
        if (cast4_xx) {
            $('#cast7TitulPred').val(getElementsValXml(cast4_xx.getElementsByTagName('titulPred')[0]));
            $('#cast7Meno').val(getElementsValXml(cast4_xx.getElementsByTagName('meno')[0]));
            $('#cast7Priezvisko').val(getElementsValXml(cast4_xx.getElementsByTagName('priezvisko')[0]));
            $('#cast7TitulZa').val(getElementsValXml(cast4_xx.getElementsByTagName('titulZa')[0]));
            $('#cast7Ico').val(getElementsValXml(cast4_xx.getElementsByTagName('ICO')[0]));
            $('#cast7RodneCislo1').val(getElementsValXml(cast4_xx.getElementsByTagName('rodneCislo')[0]).substr(0, 6));
            $('#cast7RodneCislo2').val(getElementsValXml(cast4_xx.getElementsByTagName('rodneCislo')[0]).substr(6, 4));
            $('#cast7DatumNar').val(convertXsdDateToString(getElementsValXml(cast4_xx.getElementsByTagName('datumNarodenia')[0])));
            $('#cast7Telefon').val(getElementsValXml(cast4_xx.getElementsByTagName('telefon')[0]));
            $('#cast7Ulica').val(getElementsValXml(cast4_xx.getElementsByTagName('ulica')[0]));
            var cisloDomu_xx = cast4_xx.getElementsByTagName('cisloDomu')[0];
            if (cisloDomu_xx) {
                $('#cast7SupisneC').val(getElementsValXml(cisloDomu_xx.getElementsByTagName('supisneCislo')[0]));
                $('#cast7OrientacneC').val(getElementsValXml(cisloDomu_xx.getElementsByTagName('orientacneCislo')[0]));
            }
            $('#cast7psc').val(getElementsValXml(cast4_xx.getElementsByTagName('PSC')[0]));
            $('#cast7Obec').val(getElementsValXml(cast4_xx.getElementsByTagName('obec')[0]));
            var stat_xx = cast4_xx.getElementsByTagName('stat')[0];
            if (stat_xx.hasChildNodes()) {
                $('#cast7stat').val(getElementsValXml(stat_xx.getElementsByTagName('kodStatu')[0]));
            }
        }
        var cast6_xx = dokument_xx.getElementsByTagName('cast6')[0];
        if (cast6_xx) {
            $('#cast8Ulica').val(getElementsValXml(cast6_xx.getElementsByTagName('ulica')[0]));
            var cisloDomu_xx = cast6_xx.getElementsByTagName('cisloDomu')[0];
            if (cisloDomu_xx) {
                $('#cast8OrientacneC').val(getElementsValXml(cisloDomu_xx.getElementsByTagName('supisneCislo')[0]));
                $('#cast8Lomitko').val(getElementsValXml(cisloDomu_xx.getElementsByTagName('orientacneCislo')[0]));
            }
            $('#cast8Psc').val(getElementsValXml(cast6_xx.getElementsByTagName('PSC')[0]));
            $('#cast8Obec').val(getElementsValXml(cast6_xx.getElementsByTagName('obec')[0]));
            var stat_xx = cast6_xx.getElementsByTagName('stat')[0];
            if (stat_xx.hasChildNodes()) {
                $('#cast8Stat').val(getElementsValXml(stat_xx.getElementsByTagName('kodStatu')[0]));
            }
        }
        var cast7_xx = dokument_xx.getElementsByTagName('cast7')[0];
        if (cast7_xx) {
            var fyzickaOsoba_xx = cast7_xx.getElementsByTagName('fyzickaOsoba')[0];
            if (fyzickaOsoba_xx) {
                $('#cast9rbFO').attr('checked', getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('splnomocnenecFO')[0]) == 1 ? true : false);
                $('#cast9DICFO').val(getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('DIC')[0]));
                $('#cast9RodneCislo1').val(getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('RC')[0]).substr(0, 6));
                $('#cast9RodneCislo2').val(getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('RC')[0]).substr(6, 4));
                $('#cast9Meno').val(getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('meno')[0]));
                $('#cast9Priezvisko').val(getElementsValXml(fyzickaOsoba_xx.getElementsByTagName('priezvisko')[0]));
            }
            var pravnickaOsoba_xx = cast7_xx.getElementsByTagName('pravnickaOsoba')[0];
            if (pravnickaOsoba_xx) {
                $('#cast9rbPO').attr('checked', getElementsValXml(pravnickaOsoba_xx.getElementsByTagName('splnomocnenecPO')[0]) == 1 ? true : false);
                $('#cast9DICPO').val(getElementsValXml(pravnickaOsoba_xx.getElementsByTagName('DIC')[0]));
                $('#cast9ICO').val(getElementsValXml(pravnickaOsoba_xx.getElementsByTagName('ICO')[0]));
                $('#cast9Nazov').val(getElementsValXml(pravnickaOsoba_xx.getElementsByTagName('nazov1')[0]));
                var druhaCast = getElementsValXml(pravnickaOsoba_xx.getElementsByTagName('nazov2')[0])
                if (druhaCast != undefined && druhaCast != '') {
                    $('#cast9Nazov').val($('#cast9Nazov').val() + '\n' + druhaCast);
                }
            }
            var udaje_xx = cast7_xx.getElementsByTagName('udaje')[0];
            if (udaje_xx) {
                $('#cast9Ulica').val(getElementsValXml(udaje_xx.getElementsByTagName('ulica')[0]));
                var cisloDomu_xx = udaje_xx.getElementsByTagName('cisloDomu')[0];
                if (cisloDomu_xx) {
                    $('#cast9OrientacneC').val(getElementsValXml(cisloDomu_xx.getElementsByTagName('supisneCislo')[0]));
                    $('#cast9Lomitko').val(getElementsValXml(cisloDomu_xx.getElementsByTagName('orientacneCislo')[0]));
                }
                $('#cast9Psc').val(getElementsValXml(udaje_xx.getElementsByTagName('PSC')[0]));
                $('#cast9Obec').val(getElementsValXml(udaje_xx.getElementsByTagName('obec')[0]));
            }
            var cast8_xx = dokument_xx.getElementsByTagName('cast8')[0];
            if (cast8_xx) {
                $('#cast10Poznamky').val(getElementsValXml(cast8_xx.getElementsByTagName('poznamky')[0]));
            }
            var priloha1_xx = dokument_xx.getElementsByTagName('priloha1')[0];
            if (priloha1_xx) {
                var zakon41_xx = priloha1_xx.getElementsByTagName('zakon41')[0];
                if (zakon41_xx) {
                    $('#zakon41check2').attr('checked', getElementsValXml(zakon41_xx.getElementsByTagName('zakon41Check')[0]) == 1 ? true : false);
                    if ($("#zakon41check2").attr("checked")) {
                        $("#zakon41Obrat").removeAttr("disabled");
                        $("#zakon41mesiac").removeAttr("disabled");
                        $("#zakon41rok").removeAttr("disabled");
                        $("#zakon83Datum").removeAttr("disabled");
                    }
                    $('#zakon41Obrat').val(getElementsValXml(zakon41_xx.getElementsByTagName('zakon41Obrat')[0]));
                    var zakon41MR_xx = zakon41_xx.getElementsByTagName('zakon41MR')[0];
                    if (zakon41MR_xx) {
                        $('#zakon41mesiac').val(getElementsValXml(zakon41MR_xx.getElementsByTagName('zakon41mesiac')[0]));
                        $('#zakon41rok').val(getElementsValXml(zakon41MR_xx.getElementsByTagName('zakon41rok')[0]));
                    }
                }
                var zakon42_xx = priloha1_xx.getElementsByTagName('zakon42')[0];
                if (zakon42_xx) {
                    $('#zakon42check').attr('checked', getElementsValXml(zakon42_xx.getElementsByTagName('zakon42Check')[0]) == 1 ? true : false);
                    $('#zakon42Datum').val(convertXsdDateToString(getElementsValXml(zakon42_xx.getElementsByTagName('zakon42Datum')[0])));
                }
                var zakon44_xx = priloha1_xx.getElementsByTagName('zakon44')[0];
                if (zakon44_xx) {
                    $('#zakon44check').attr('checked', getElementsValXml(zakon44_xx.getElementsByTagName('zakon44Check')[0]) == 1 ? true : false);
                    if ($("#zakon44check").attr("checked")) {
                        $("#zakon44Datum").removeAttr("disabled");
                        $("#zakon44Datum2").removeAttr("disabled");
                        $("#zakon44Datum3").removeAttr("disabled");
                    }
                    $('#zakon44Datum').val(convertXsdDateToString(getElementsValXml(zakon44_xx.getElementsByTagName('zakon44Datum')[0])));
                    $('#zakon44Datum2').val(convertXsdDateToString(getElementsValXml(zakon44_xx.getElementsByTagName('zakon44Datum2')[0])));
                    $('#zakon44Datum3').val(convertXsdDateToString(getElementsValXml(zakon44_xx.getElementsByTagName('zakon44Datum3')[0])));
                    $('#zakon45check').attr('checked', getElementsValXml(zakon44_xx.getElementsByTagName('zakon44Dovod48cCheck')[0]) == 1 ? true : false);
                }
                var zakon5_xx = priloha1_xx.getElementsByTagName('zakon5')[0];
                if (zakon5_xx) {
                    $('#zakon5check').attr('checked', getElementsValXml(zakon5_xx.getElementsByTagName('zakon5Check')[0]) == 1 ? true : false);
                    $('#zakon5check2').attr('checked', getElementsValXml(zakon5_xx.getElementsByTagName('zakon5Dovod48cCheck')[0]) == 1 ? true : false);
                }
                var zakon61Zmena_xx = priloha1_xx.getElementsByTagName('zakon61Zmena')[0];
                if (zakon61Zmena_xx) {
                    $('#zakon6144check').attr('checked', getElementsValXml(zakon61Zmena_xx.getElementsByTagName('zakon61Check')[0]) == 1 ? true : false);
                    if ($("#zakon6144check").attr("checked")) {
                        $("#zakon6144Datum").removeAttr("disabled"); // tb
                        $("[name='zakon61445']").removeAttr("disabled"); // cb
                    }
                    $('#zakon61445').attr('checked', getElementsValXml(zakon61Zmena_xx.getElementsByTagName('zakon6154Check')[0]) == 1 ? true : false);
                    $('#zakon6144Datum').val(convertXsdDateToString(getElementsValXml(zakon61Zmena_xx.getElementsByTagName('zakon61Datum')[0])));
                }
                var zakon62Zmena_xx = priloha1_xx.getElementsByTagName('zakon62Zmena')[0];
                if (zakon62Zmena_xx) {
                    $('#zakon6256check').attr('checked', getElementsValXml(zakon62Zmena_xx.getElementsByTagName('zakon62Check')[0]) == 1 ? true : false);
                    if ($("#zakon6256check").attr("checked")) {
                        $("#zakon6256Datum").removeAttr("disabled"); // tb
                        $("[name='zakon62565']").removeAttr("disabled"); // cb
                    }
                    $('#zakon62565').attr('checked', getElementsValXml(zakon62Zmena_xx.getElementsByTagName('zakon6245Check')[0]) == 1 ? true : false);
                    $('#zakon6256Datum').val(convertXsdDateToString(getElementsValXml(zakon62Zmena_xx.getElementsByTagName('zakon62Datum')[0])));
                }
                var zakon71_xx = priloha1_xx.getElementsByTagName('zakon71')[0];
                if (zakon71_xx) {
                    $('#zakon71check').attr('checked', getElementsValXml(zakon71_xx.getElementsByTagName('zakon71check')[0]) == 1 ? true : false);
                    if ($("#zakon71check").attr("checked")) {
                        $("#zakon71Hodnota").removeAttr("disabled");
                    }
                    $('#zakon71Hodnota').val(getElementsValXml(zakon71_xx.getElementsByTagName('zakon71Hodnota')[0]));
                }
                var zakon72_xx = priloha1_xx.getElementsByTagName('zakon72')[0];
                if (zakon72_xx) {
                    $('#zakon72check').attr('checked', getElementsValXml(zakon72_xx.getElementsByTagName('zakon72check')[0]) == 1 ? true : false);
                }
                var zakon7_xx = priloha1_xx.getElementsByTagName('zakon7')[0];
                if (zakon7_xx) {
                    $('#zakon7check').attr('checked', getElementsValXml(zakon7_xx.getElementsByTagName('zakon7check')[0]) == 1 ? true : false);
                }
            }
        }
        var opaksekcia = xmlDoc.getElementsByTagName('priloha2');
        if (opaksekcia.length) {
            var polesekcii = $('#layoutRow33213').pageableSection();
            var sekcia = 0;
            var vlozit = 0;
            if (opaksekcia.length > 0) {
                var poma = $('#layoutRow33213').pageableSection().totalPages;
                if (poma > 1) {
                    for (var pomb = 1; pomb < poma; pomb++) {
                        $('#layoutRow33213').pageableSection().removePage();
                    }
                }
            }
            for (var pocetopakovani = 0; pocetopakovani <= opaksekcia.length - 1; pocetopakovani++) {
                var priloha2_xx = dokument_xx.getElementsByTagName('priloha2')[pocetopakovani];
                if (vlozit > 0) {
                    $('#layoutRow33213').pageableSection().addPage();
                }
                vlozit = vlozit + 1;
                $("#layoutRow33213").find('[ID]:input, textarea, select').each(function () {
                    $(this).removeAttr("disabled");
                });
                //var priloha2_xx = dokument_xx.getElementsByTagName('priloha2')[0];
                if (priloha2_xx) {
                    $('#pr2RegClena').attr('checked', getElementsValXml(priloha2_xx.getElementsByTagName('registraciaClenaSkupiny')[0]) == 1 ? true : false);
                    var zmenaRegistracieSkupiny_xx = priloha2_xx.getElementsByTagName('zmenaRegistracieSkupiny')[0];
                    if (zmenaRegistracieSkupiny_xx) {
                        $('#pr2RegPristupNove').attr('checked', getElementsValXml(zmenaRegistracieSkupiny_xx.getElementsByTagName('pristupeniaClena')[0]) == 1 ? true : false);
                        $('#pr2RegVystup').attr('checked', getElementsValXml(zmenaRegistracieSkupiny_xx.getElementsByTagName('vystupeniaClena')[0]) == 1 ? true : false);
                        $('#pr2RegZanik').attr('checked', getElementsValXml(zmenaRegistracieSkupiny_xx.getElementsByTagName('zanikClena')[0]) == 1 ? true : false);
                        $('#pr2RegPristupNastup').attr('checked', getElementsValXml(zmenaRegistracieSkupiny_xx.getElementsByTagName('pristupenieNastupca')[0]) == 1 ? true : false);
                    }
                    var clenSkupiny_xx = priloha2_xx.getElementsByTagName('clenSkupiny')[0];
                    if (clenSkupiny_xx) {
                        if (getElementsValXml(clenSkupiny_xx.getElementsByTagName('clenICDPH')[0]).length > 10) {
                            $('#pr2ClenIC').val(getElementsValXml(clenSkupiny_xx.getElementsByTagName('clenICDPH')[0]).substr(0, 2));
                            $('#pr2ClenDIC').val(getElementsValXml(clenSkupiny_xx.getElementsByTagName('clenICDPH')[0]).substr(2, 10));
                        } else {
                            $('#pr2ClenDIC').val(getElementsValXml(clenSkupiny_xx.getElementsByTagName('clenICDPH')[0]));
                        }

                        $('#pr2ClenICO').val(getElementsValXml(clenSkupiny_xx.getElementsByTagName('clenICO')[0]));
                        $('#pr2ClenRC1').val(getElementsValXml(clenSkupiny_xx.getElementsByTagName('secpr2ClenRC')[0]).substr(0, 6));
                        $('#pr2ClenRC2').val(getElementsValXml(clenSkupiny_xx.getElementsByTagName('secpr2ClenRC')[0]).substr(6, 4));
                        $('#pr2ClenObchMeno').val(getElementsValXml(clenSkupiny_xx.getElementsByTagName('clenObchMeno1')[0]));
                        var druhaCast = getElementsValXml(clenSkupiny_xx.getElementsByTagName('clenObchMeno2')[0])
                        if (druhaCast != undefined && druhaCast != '') {
                            $('#pr2ClenObchMeno').val($('#pr2ClenObchMeno').val() + '\n' + druhaCast);
                        }
                        var tretiaCast = getElementsValXml(clenSkupiny_xx.getElementsByTagName('clenObchMeno3')[0])
                        if (tretiaCast != undefined && tretiaCast != '') {
                            $('#pr2ClenObchMeno').val($('#pr2ClenObchMeno').val() + '\n' + tretiaCast);
                        }
                    }
                    var sidlo_xx = priloha2_xx.getElementsByTagName('sidlo')[0];
                    if (sidlo_xx) {
                        $('#pr2SidloUlica').val(getElementsValXml(sidlo_xx.getElementsByTagName('sidloUlica')[0]));
                        var sidloCisloDomu_xx = sidlo_xx.getElementsByTagName('sidloCisloDomu')[0];
                        if (sidloCisloDomu_xx) {
                            $('#pr2SidloCislo').val(getElementsValXml(sidloCisloDomu_xx.getElementsByTagName('supisneCislo')[0]));
                            $('#pr2SidloOrient').val(getElementsValXml(sidloCisloDomu_xx.getElementsByTagName('orientacneCislo')[0]));
                        }
                        $('#pr2SidloPsc').val(getElementsValXml(sidlo_xx.getElementsByTagName('sidloPSC')[0]));
                        $('#pr2SidloObec').val(getElementsValXml(sidlo_xx.getElementsByTagName('sidloObec')[0]));
                        var sidloStat_xx = sidlo_xx.getElementsByTagName('sidloStat')[0];
                        if (sidloStat_xx.hasChildNodes()) {
                            $('#pr2SidloStat').val(getElementsValXml(sidloStat_xx.getElementsByTagName('kodStatu')[0]));
                        }
                        $('#pr2SidloTel').val(getElementsValXml(sidlo_xx.getElementsByTagName('sidloTel')[0]));
                    }
                    var adresaPodnikania_xx = priloha2_xx.getElementsByTagName('adresaPodnikania')[0];
                    if (adresaPodnikania_xx) {
                        $('#pr2AdresaUlica').val(getElementsValXml(adresaPodnikania_xx.getElementsByTagName('adresaUlica')[0]));
                        var adresaCisloDomu_xx = adresaPodnikania_xx.getElementsByTagName('adresaCisloDomu')[0];
                        if (adresaCisloDomu_xx) {
                            $('#pr2AdresaCislo').val(getElementsValXml(adresaCisloDomu_xx.getElementsByTagName('supisneCislo')[0]));
                            $('#pr2AdresaOrient').val(getElementsValXml(adresaCisloDomu_xx.getElementsByTagName('orientacneCislo')[0]));
                        }
                        $('#pr2AdresaPsc').val(getElementsValXml(adresaPodnikania_xx.getElementsByTagName('adresaPSC')[0]));
                        $('#pr2AdresaObec').val(getElementsValXml(adresaPodnikania_xx.getElementsByTagName('adresaObec')[0]));
                        $('#pr2AdresaTel').val(getElementsValXml(adresaPodnikania_xx.getElementsByTagName('adresaTel')[0]));
                    }
                    var zastupca_xx = priloha2_xx.getElementsByTagName('zastupca')[0];
                    if (zastupca_xx) {
                        $('#pr2AdresaMeno').val(getElementsValXml(zastupca_xx.getElementsByTagName('zastupcaMeno')[0]));
                        $('#pr2AdresaPriezvisko').val(getElementsValXml(zastupca_xx.getElementsByTagName('zastupcaPriezvisko')[0]));
                        $('#pr2ZastupcaRC1').val(getElementsValXml(zastupca_xx.getElementsByTagName('zastupcaRC')[0]).substr(0, 6));
                        $('#pr2ZastupcaRC2').val(getElementsValXml(zastupca_xx.getElementsByTagName('zastupcaRC')[0]).substr(6, 4));
                        $('#pr2ZastupcaDat').val(convertXsdDateToString(getElementsValXml(zastupca_xx.getElementsByTagName('zastupcaDatumNarodenia')[0])));
                        $('#pr2AdrStatutarUlica').val(getElementsValXml(zastupca_xx.getElementsByTagName('zastupcaUlica')[0]));
                        var sidloCisloDomu_xx = zastupca_xx.getElementsByTagName('zastupcaCisloDomu')[0];
                        if (sidloCisloDomu_xx) {
                            $('#pr2AdrStatutarSupisneCislo').val(getElementsValXml(sidloCisloDomu_xx.getElementsByTagName('supisneCislo')[0]));
                            $('#pr2AdrStatutarOrientacneCislo').val(getElementsValXml(sidloCisloDomu_xx.getElementsByTagName('orientacneCislo')[0]));
                        }
                        $('#pr2AdrStatutarPSC').val(getElementsValXml(zastupca_xx.getElementsByTagName('zastupcaPSC')[0]));
                        $('#pr2AdrStatutarObec').val(getElementsValXml(zastupca_xx.getElementsByTagName('zastupcaObec')[0]));
                        var sidloStat_xx = zastupca_xx.getElementsByTagName('zastupcaStat')[0];
                        if (sidloStat_xx.hasChildNodes()) {
                            $('#pr2AdrStatutarStat').val(getElementsValXml(sidloStat_xx.getElementsByTagName('kodStatu')[0]));
                        }
                    }
                    var potvrdenie_xx = priloha2_xx.getElementsByTagName('potvrdenie')[0];
                    if (potvrdenie_xx) {
                        $('#potvrdeniePodpis').attr('checked', getElementsValXml(potvrdenie_xx.getElementsByTagName('potvrdeniePodpis')[0]) == 1 ? true : false);
                        $('#pr2PotvrdDatum').val(convertXsdDateToString(getElementsValXml(potvrdenie_xx.getElementsByTagName('potvrdenieDatum')[0])));
                    }
                }
            }

            $('#layoutRow33213').pageableSection().saveCurrentPage();
        }


    }
}

function convertXsdDateToString(dateString) {
    if (!!dateString) {
        return dateString.substr(8, 2) + '.' + dateString.substr(5, 2) + '.' + dateString.substr(0, 4)
    } else {
        return "";
    }
}

function nacitajDomaciUcet(poradieUctu, parentElement) {
    if (parentElement) {
        $('#' + setElementsValOS('cast8IBAN1', poradieUctu)).val(getElementsValXml(parentElement.getElementsByTagName('IBAN' + poradieUctu)[0]));
        $('#' + setElementsValOS('cast8zalozenieUctu1', poradieUctu)).attr('checked', getElementsValXml(parentElement.getElementsByTagName('zalozenieUctu' + poradieUctu)[0]) == 1 ? true : false);
        $('#' + setElementsValOS('cast8zrusenieUctu1', poradieUctu)).attr('checked', getElementsValXml(parentElement.getElementsByTagName('zrusenieUctu' + poradieUctu)[0]) == 1 ? true : false);
    }
}

function checkIfDomaciUcetHasValue(node_xx, poradieUctu) {
    if (getElementsValXml(node_xx.getElementsByTagName('IBAN' + poradieUctu)[0]) != '' || getElementsValXml(node_xx.getElementsByTagName('zalozenieUctu' + poradieUctu)[0]) == 1 || getElementsValXml(node_xx.getElementsByTagName('zrusenieUctu' + poradieUctu)[0]) == 1) {
        return true;
    }
    return false;

}

function addSectionUcet(sender, pocetSekcii) {
    //var sender = 'layoutRow17359';
    var addButton = $('div[id^=' + sender + ']').last().find('#addSection' + sender);
    addSection(1, pocetSekcii, addButton);
}


function getElementsValXml(element) {
    var content = element.textContent || element.text || '';

    return decodeXML(content);
}


var stringBuilder;
var fdfDoc;
var stringBuilder;

function setElementsValOS(element, pocet) {
    if (pocet == 1) {
        return element;
    } else {
        var cislo_elementu = pocet - 1;
        return element + '_Repeating_' + cislo_elementu;
    }
}


function createfdf(segment, index) {
    var result = null;

    if (segment == 0 && index == 0) {
        result = createMainFdf(segment, index);
    }

    if (segment == 1) {
        var pocetOpakovani = $('#layoutRow33213').pageableSection().totalPages;
        var pocetSuborov = Math.ceil(pocetOpakovani / 10);
        var j = 0;
        var fdfs = new Array();

        if (pocetSuborov > 1) {
            for (var k = 1; k < pocetSuborov; k++) {
                var pocetStrVpdf = 10;
                fdfs[k - 1] = createopakovaneNfdf(j, k, pocetSuborov, pocetStrVpdf);
                j = j + 10;
            }
        }
        var pocetStrVpdf = pocetOpakovani % 10;
        var k = pocetSuborov;
        fdfs[k - 1] = createopakovaneNfdf(j, k, pocetSuborov, pocetStrVpdf);
        result = fdfs[index];
    }
    return result;
}
//**************************************************
var fdfDoc;
var stringBuilder;

function createMainFdf(segment, index) {
    isFdfUpper = true;
    if (segment > 0 || index > 0)
        return null;
    stringBuilder = new $.StringBuilder();
    stringBuilder.appendLine('%FDF-1.2');
    stringBuilder.appendLine('%âăĎÓ');
    stringBuilder.appendLine('1 0 obj');
    stringBuilder.appendLine('<<');
    stringBuilder.appendLine('  /FDF');
    stringBuilder.appendLine('    << /Fields');
    stringBuilder.appendLine('    [');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf('Tlačivo vytlačené z portálu FS', false) + ')/T (print)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#dic').val()) + ')/T(dic)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#icdOddiel0').val()) + ')/T(icdph)>>');
    stringBuilder.appendLine('    << /V (' + ($('#foOddiel0').is(':checked') ? 'X' : '') + ')/T(00-01)>>');
    stringBuilder.appendLine('    << /V (' + ($('#poOddiel0').is(':checked') ? 'X' : '') + ')/T(00-02)>>');
    stringBuilder.appendLine('    << /V (' + ($('#druhRegistracia').is(':checked') ? 'X' : '') + ')/T(00-03)>>');
    stringBuilder.appendLine('    << /V (' + ($('#druhZrusenieReg').is(':checked') ? 'X' : '') + ')/T(00-04)>>');
    stringBuilder.appendLine('    << /V (' + ($('#druhZmenaReg').is(':checked') ? 'X' : '') + ')/T(00-05)>>');
    stringBuilder.appendLine('    << /V (' + ($('#druhZmenaId').is(':checked') ? 'X' : '') + ')/T(00-06)>>');
    if (!!$('#datumZmeny').val()) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#datumZmeny').val().split(".")[0]) + ')/T(00-07)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#datumZmeny').val().split(".")[1]) + ')/T(00-08)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#datumZmeny').val().split(".")[2].substr(2, 2)) + ')/T(00-09)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(00-07)>>');
        stringBuilder.appendLine('    <</V()/T(00-08)>>');
        stringBuilder.appendLine('    <</V()/T(00-09)>>');
    }
    stringBuilder.appendLine('    << /V (' + ($('#cast1Prijmy').is(':checked') ? 'X' : '') + ')/T(01-01)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1Ziskanie').is(':checked') ? 'X' : '') + ')/T(01-02)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1Zrusenie').is(':checked') ? 'X' : '') + ')/T(01-03)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1Vznik').is(':checked') ? 'X' : '') + ')/T(01-04)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1zanik').is(':checked') ? 'X' : '') + ')/T(01-05)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1ZavCinnost').is(':checked') ? 'X' : '') + ')/T(01-06)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1Zrazkou').is(':checked') ? 'X' : '') + ')/T(01-07)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1Platitela').is(':checked') ? 'X' : '') + ')/T(01-08)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1Ine').is(':checked') ? 'X' : '') + ')/T(01-09)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast1IneVypln').val()) + ')/T(01-10)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1PridanaHodnota').is(':checked') ? 'X' : '') + ')/T(01-11)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1TuzemOsoba').is(':checked') ? 'X' : '') + ')/T(01-12)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1Skupina').is(':checked') ? 'X' : '') + ')/T(01-13)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast1Pocet').val()) + ')/T(01-14)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1Poistenie').is(':checked') ? 'X' : '') + ')/T(01-15)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1Poistovatel').is(':checked') ? 'X' : '') + ')/T(01-16)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1Poistnik').is(':checked') ? 'X' : '') + ')/T(01-17)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast1PravOsoba').is(':checked') ? 'X' : '') + ')/T(01-18)>>');

    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast2ObchodneM').val(), false) + ')/T(02-01)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast2TitulPred').val()) + ')/T(02-02)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast2Meno').val()) + ')/T(02-03)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast2Priezvisko').val()) + ')/T(02-04)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast2TitulZa').val()) + ')/T(02-05)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast2Ico').val()) + ')/T(02-06)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast2RodneCislo1').val()) + ')/T(02-07)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast2RodneCislo2').val()) + ')/T(02-08)>>');
    if (!!$('#cast2DatumNar').val()) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast2DatumNar').val().split(".")[0]) + ')/T(02-09)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(02-09)>>');
    }
    if (!!$('#cast2DatumNar').val()) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast2DatumNar').val().split(".")[1]) + ')/T(02-10)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(02-10)>>');
    }
    if (!!$('#cast2DatumNar').val()) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast2DatumNar').val().split(".")[2]) + ')/T(02-11)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(02-11)>>');
    }
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast2Telefon').val()) + ')/T(02-12)>>');

    var row = divideRows(3, 'obchodneMeno');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf(row[0], false) + ')/T(03-01)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf(row[1], false) + ')/T(03-02)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf(row[2], false) + ')/T(03-03)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#pravnaForma').val()) + ')/T(03-04)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#ico').val()) + ')/T(03-05)>>');

    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast4Ulica').val()) + ')/T(04-01)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast4OrientacneC').val()) + ')/T(04-02)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast4Lomitko').val()) + ')/T(04-03)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast4Psc').val()) + ')/T(04-04)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast4Obec').val()) + ')/T(04-05)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast4Stat').val()) + ')/T(04-06)>>');

    stringBuilder.appendLine('    << /V (' + ($('#cast5Miesto').is(':checked') ? 'X' : '') + ')/T(05-01)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast5Prevadzkaren').is(':checked') ? 'X' : '') + ')/T(05-02)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast5prevadzkarenSR').is(':checked') ? 'X' : '') + ')/T(05-03)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast5vedenia').is(':checked') ? 'X' : '') + ')/T(05-04)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast5Nazov').val(), false) + ')/T(05-05)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast5Ulica').val()) + ')/T(05-06)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast5OrientacneC').val()) + ')/T(05-07)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast5Lomitko').val()) + ')/T(05-08)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast5Psc').val()) + ')/T(05-09)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast5Obec').val()) + ')/T(05-10)>>');

    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast6ICO').val()) + ')/T(06-01)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast6PoradoveC').val()) + ')/T(06-02)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast6Nazov').val(), false) + ')/T(06-03)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast6Ulica').val()) + ')/T(06-04)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast6OrientacneC').val()) + ')/T(06-05)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast6Lomitko').val()) + ')/T(06-06)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast6Psc').val()) + ')/T(06-07)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast6Obec').val()) + ')/T(06-08)>>');

    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7TitulPred').val()) + ')/T(07-01)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7Meno').val()) + ')/T(07-02)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7Priezvisko').val()) + ')/T(07-03)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7TitulZa').val()) + ')/T(07-04)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7Ico').val()) + ')/T(07-05)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7RodneCislo1').val()) + ')/T(07-06)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7RodneCislo2').val()) + ')/T(07-07)>>');
    if (!!$('#cast7DatumNar').val()) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7DatumNar').val().split(".")[0]) + ')/T(07-08)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7DatumNar').val().split(".")[1]) + ')/T(07-09)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7DatumNar').val().split(".")[2]) + ')/T(07-10)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(07-08)>>');
        stringBuilder.appendLine('    <</V()/T(07-09)>>');
        stringBuilder.appendLine('    <</V()/T(07-10)>>');
    }
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7Telefon').val()) + ')/T(07-11)>>');

    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7Ulica').val()) + ')/T(07-12)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7SupisneC').val()) + ')/T(07-13)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7OrientacneC').val()) + ')/T(07-14)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7psc').val()) + ')/T(07-15)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7Obec').val()) + ')/T(07-16)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast7stat').val()) + ')/T(07-17)>>');

    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast8Ulica').val()) + ')/T(08-01)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast8OrientacneC').val()) + ')/T(08-02)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast8Lomitko').val()) + ')/T(08-03)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast8Psc').val()) + ')/T(08-04)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast8Obec').val()) + ')/T(08-05)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast8Stat').val()) + ')/T(08-06)>>');

    stringBuilder.appendLine('    << /V (' + ($('#cast9rbFO').is(':checked') ? 'X' : '') + ')/T(09-01)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9DICFO').val()) + ')/T(09-02)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9RodneCislo1').val()) + ')/T(09-03)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9RodneCislo2').val()) + ')/T(09-04)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9Meno').val()) + ')/T(09-05)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9Priezvisko').val()) + ')/T(09-06)>>');
    stringBuilder.appendLine('    << /V (' + ($('#cast9rbPO').is(':checked') ? 'X' : '') + ')/T(09-07)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9DICPO').val()) + ')/T(09-08)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9ICO').val()) + ')/T(09-09)>>');
    if (!!$('#cast9Nazov').val()) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9Nazov').val().substr(0, 37), false) + ')/T(09-10)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9Nazov').val().substr(37, 74), false) + ')/T(09-11)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(09-10)>>');
        stringBuilder.appendLine('    <</V()/T(09-11)>>');
    }
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9Ulica').val()) + ')/T(09-12)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9OrientacneC').val()) + ')/T(09-13)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9Lomitko').val()) + ')/T(09-14)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9Psc').val()) + ')/T(09-15)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9Obec').val()) + ')/T(09-16)>>');

    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9PocetPriloh').val()) + ')/T(pocet_priloh)>>');
    if (!!$('#cast9Datum').val()) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9Datum').val().split(".")[0]) + ')/T(datum_den)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9Datum').val().split(".")[1]) + ')/T(datum_mes)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast9Datum').val().split(".")[2].substr(2, 2)) + ')/T(datum_rok)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(datum_den)>>');
        stringBuilder.appendLine('    <</V()/T(datum_mes)>>');
        stringBuilder.appendLine('    <</V()/T(datum_rok)>>');
    }
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#cast10Poznamky').val()) + ')/T(10-01)>>');

    stringBuilder.appendLine('    << /V (' + ($('#zakon41check2').is(':checked') ? 'X' : '') + ')/T(p1-01)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#zakon41Obrat').val()) + ')/T(p1-02)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#zakon41mesiac').val()) + ')/T(p1-03)>>');
    if (!!$('#zakon41rok').val()) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#zakon41rok').val().substr(2, 2)) + ')/T(p1-04)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(p1-04)>>');
    }
    stringBuilder.appendLine('    << /V (' + ($('#zakon42check').is(':checked') ? 'X' : '') + ')/T(p1-10)>>');
    var datum = $('#zakon42Datum').val();
    if (!!datum) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[0]) + ')/T(p1-11)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[1]) + ')/T(p1-12)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[2].substr(2, 2)) + ')/T(p1-13)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(p1-11)>>');
        stringBuilder.appendLine('    <</V()/T(p1-12)>>');
        stringBuilder.appendLine('    <</V()/T(p1-13)>>');
    }

    stringBuilder.appendLine('    << /V (' + ($('#zakon44check').is(':checked') ? 'X' : '') + ')/T(p1-20)>>');
    datum = $('#zakon44Datum').val();
    if (!!datum) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[0]) + ')/T(p1-21)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[1]) + ')/T(p1-22)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[2].substr(2, 2)) + ')/T(p1-23)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(p1-21)>>');
        stringBuilder.appendLine('    <</V()/T(p1-22)>>');
        stringBuilder.appendLine('    <</V()/T(p1-23)>>');
    }
    datum = $('#zakon44Datum2').val();
    if (!!datum) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[0]) + ')/T(p1-24)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[1]) + ')/T(p1-25)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[2].substr(2, 2)) + ')/T(p1-26)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(p1-24)>>');
        stringBuilder.appendLine('    <</V()/T(p1-25)>>');
        stringBuilder.appendLine('    <</V()/T(p1-26)>>');
    }
    datum = $('#zakon44Datum3').val();
    if (!!datum) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[0]) + ')/T(p1-27)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[1]) + ')/T(p1-28)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[2].substr(2, 2)) + ')/T(p1-29)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(p1-27)>>');
        stringBuilder.appendLine('    <</V()/T(p1-28)>>');
        stringBuilder.appendLine('    <</V()/T(p1-29)>>');
    }
    stringBuilder.appendLine('    << /V (' + ($('#zakon45check').is(':checked') ? 'X' : '') + ')/T(p1-30)>>');

    stringBuilder.appendLine('    << /V (' + ($('#zakon5check').is(':checked') ? 'X' : '') + ')/T(p1-31)>>');
    stringBuilder.appendLine('    << /V (' + ($('#zakon5check2').is(':checked') ? 'X' : '') + ')/T(p1-32)>>');

    stringBuilder.appendLine('    << /V (' + ($('#zakon6144check').is(':checked') ? 'X' : '') + ')/T(p1-50)>>');
    stringBuilder.appendLine('    << /V (' + ($('#zakon61445').is(':checked') ? 'X' : '') + ')/T(p1-51)>>');
	
	datum = $('#zakon6144Datum').val();
    if (!!datum) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[0]) + ')/T(p1-53)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[1]) + ')/T(p1-54)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[2].substr(2, 2)) + ')/T(p1-55)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(p1-53)>>');
        stringBuilder.appendLine('    <</V()/T(p1-54)>>');
        stringBuilder.appendLine('    <</V()/T(p1-55)>>');
    }
	
    stringBuilder.appendLine('    << /V (' + ($('#zakon6256check').is(':checked') ? 'X' : '') + ')/T(p1-60)>>');
    stringBuilder.appendLine('    << /V (' + ($('#zakon62565').is(':checked') ? 'X' : '') + ')/T(p1-61)>>');
	
	datum = $('#zakon6256Datum').val();
    if (!!datum) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[0]) + ')/T(p1-63)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[1]) + ')/T(p1-64)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[2].substr(2, 2)) + ')/T(p1-65)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(p1-63)>>');
        stringBuilder.appendLine('    <</V()/T(p1-64)>>');
        stringBuilder.appendLine('    <</V()/T(p1-65)>>');
    }
	
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#zakon61Hodnota').val()) + ')/T(p1-41)>>');
    stringBuilder.appendLine('    << /V (' + ($('#zakon62check').is(':checked') ? 'X' : '') + ')/T(p1-42)>>');
    stringBuilder.appendLine('    << /V (' + ($('#zakon63check').is(':checked') ? 'X' : '') + ')/T(p1-43)>>');

    stringBuilder.appendLine('    << /V (' + ($('#zakon6144check').is(':checked') ? 'X' : '') + ')/T(p1-50)>>');
    stringBuilder.appendLine('    << /V (' + ($('#zakon61445').is(':checked') ? 'X' : '') + ')/T(p1-51)>>');
    stringBuilder.appendLine('    << /V (' + ($('#zakon61446').is(':checked') ? 'X' : '') + ')/T(p1-52)>>');
    datum = $('#zakon6144Datum').val();
    if (!!datum) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[0]) + ')/T(p1-53)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[1]) + ')/T(p1-54)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[2].substr(2, 2)) + ')/T(p1-55)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(p1-53)>>');
        stringBuilder.appendLine('    <</V()/T(p1-54)>>');
        stringBuilder.appendLine('    <</V()/T(p1-55)>>');
    }

    stringBuilder.appendLine('    << /V (' + ($('#zakon6256check').is(':checked') ? 'X' : '') + ')/T(p1-60)>>');
    stringBuilder.appendLine('    << /V (' + ($('#zakon62565').is(':checked') ? 'X' : '') + ')/T(p1-61)>>');
    stringBuilder.appendLine('    << /V (' + ($('#zakon62566').is(':checked') ? 'X' : '') + ')/T(p1-62)>>');
    datum = $('#zakon6256Datum').val();
    if (!!datum) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[0]) + ')/T(p1-63)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[1]) + ')/T(p1-64)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(datum.split(".")[2].substr(2, 2)) + ')/T(p1-65)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(p1-63)>>');
        stringBuilder.appendLine('    <</V()/T(p1-64)>>');
        stringBuilder.appendLine('    <</V()/T(p1-65)>>');
    }

    stringBuilder.appendLine('    << /V (' + ($('#zakon71check').is(':checked') ? 'X' : '') + ')/T(p1-70)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#zakon71Hodnota').val()) + ')/T(p1-71)>>');
    stringBuilder.appendLine('    << /V (' + ($('#zakon72check').is(':checked') ? 'X' : '') + ')/T(p1-72)>>');
    stringBuilder.appendLine('    << /V (' + ($('#zakon7check').is(':checked') ? 'X' : '') + ')/T(p1-73)>>');

    stringBuilder.appendLine('      ]');
    stringBuilder.appendLine('    /F (form.516.REGDP-21-print-save.pdf)');
    stringBuilder.appendLine('    /ID [ <97fb02b45ad58b6aa2b6872c3aa1944c><9de158208a4c769cd4170b2fe84a6777>]');
    stringBuilder.appendLine('  >> ');
    stringBuilder.appendLine('>> ');
    stringBuilder.appendLine('endobj');
    stringBuilder.appendLine('trailer');
    stringBuilder.appendLine('<< /Root 1 0 R >>');
    stringBuilder.appendLine('%%EOF');
    return stringBuilder.string();
}
//*******************************************************

function createopakovaneNfdf(j, pdfStrana, pocetSuborov, pocetStrVpdf) {
    isFdfUpper = true;
    var polesekcii = $('#layoutRow33213').pageableSection();
    var pocetvsetkychsekcii = $('#layoutRow33213').pageableSection().totalPages;
    var pocetAktualnejZostavy = pocetStrVpdf == 0 ? 10 : pocetStrVpdf;

    stringBuilder = new $.StringBuilder();
    stringBuilder.appendLine('%FDF-1.2');
    stringBuilder.appendLine('%âăĎÓ');
    stringBuilder.appendLine('1 0 obj');
    stringBuilder.appendLine('<<');
    stringBuilder.appendLine('  /FDF');
    stringBuilder.appendLine('    << /Fields');
    stringBuilder.appendLine('    [');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf('Tlačivo vytlačené z portálu FS', false) + ')/T (print)>>');
    stringBuilder.appendLine('    << /V (' + pocetvsetkychsekcii + ')/T(PocetStran)>>');
    stringBuilder.appendLine('    << /V (1)/T(akt)>>');
    stringBuilder.appendLine('    << /V (' + pocetAktualnejZostavy + ')/T(pocet)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#icdOddiel0').val()) + ')/T(icdph)>>');
    stringBuilder.appendLine('');

    for (var i = 1; i <= pocetAktualnejZostavy; i++) {
        var pageValues1 = polesekcii.pages[(i + j) - 1];
        stringBuilder.appendLine('    << /T (' + (i) + ')/Kids');
        stringBuilder.appendLine('    [');
        stringBuilder.appendLine('    <</T(strana)/V(' + (i + j) + ')>>');
        stringBuilder.appendLine('    <</T(0-1)/V(' + (getPageValue2Fdf(pageValues1, 'pr2RegClena') == true ? 'X' : '') + ')>>');
        stringBuilder.appendLine('    <</T(0-2)/V(' + (getPageValue2Fdf(pageValues1, 'pr2RegPristupNove') == true ? 'X' : '') + ')>>');
        stringBuilder.appendLine('    <</T(0-3)/V(' + (getPageValue2Fdf(pageValues1, 'pr2RegZanik') == true ? 'X' : '') + ')>>');
        stringBuilder.appendLine('    <</T(0-4)/V(' + (getPageValue2Fdf(pageValues1, 'pr2RegPristupNastup') == true ? 'X' : '') + ')>>');
        stringBuilder.appendLine('    <</T(0-5)/V(' + (getPageValue2Fdf(pageValues1, 'pr2RegVystup') == true ? 'X' : '') + ')>>');

        stringBuilder.appendLine('    <</T(1-1)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2ClenIC')) + ')>>');
        stringBuilder.appendLine('    <</T(1-2)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2ClenDIC')) + ')>>');
        stringBuilder.appendLine('    <</T(1-3)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2ClenICO')) + ')>>');
        stringBuilder.appendLine('    <</T(1-4)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2ClenRC1')) + ')>>');
        stringBuilder.appendLine('    <</T(1-5)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2ClenRC2')) + ')>>');

        {
            stringBuilder.appendLine('    <</T(1-6)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2ClenObchMeno').substr(0, 37), false) + ')>>');
            stringBuilder.appendLine('    <</T(1-7)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2ClenObchMeno').substr(37, 37), false) + ')>>');
            stringBuilder.appendLine('    <</T(1-8)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2ClenObchMeno').substr(74), false) + ')>>');
        }

        stringBuilder.appendLine('    <</T(2-1)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2SidloUlica')) + ')>>');
        stringBuilder.appendLine('    <</T(2-2)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2SidloCislo')) + ')>>');
        stringBuilder.appendLine('    <</T(2-3)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2SidloOrient')) + ')>>');
        stringBuilder.appendLine('    <</T(2-4)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2SidloPsc')) + ')>>');
        stringBuilder.appendLine('    <</T(2-5)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2SidloObec')) + ')>>');
        stringBuilder.appendLine('    <</T(2-6)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2SidloStat')) + ')>>');
        stringBuilder.appendLine('    <</T(2-7)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2SidloTel')) + ')>>');

        stringBuilder.appendLine('    <</T(3-1)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2AdresaUlica')) + ')>>');
        stringBuilder.appendLine('    <</T(3-2)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2AdresaCislo')) + ')>>');
        stringBuilder.appendLine('    <</T(3-3)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2AdresaOrient')) + ')>>');
        stringBuilder.appendLine('    <</T(3-4)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2AdresaPsc')) + ')>>');
        stringBuilder.appendLine('    <</T(3-5)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2AdresaObec')) + ')>>');
        stringBuilder.appendLine('    <</T(3-6)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2AdresaTel')) + ')>>');

        stringBuilder.appendLine('    <</T(4-1)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2AdresaMeno')) + ')>>');
        stringBuilder.appendLine('    <</T(4-2)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2AdresaPriezvisko')) + ')>>');
        stringBuilder.appendLine('    <</T(4-3)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2ZastupcaRC1')) + ')>>');
        stringBuilder.appendLine('    <</T(4-4)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2ZastupcaRC2')) + ')>>');
        if (!!getPageValue2Fdf(pageValues1, 'pr2ZastupcaDat')) {
            stringBuilder.appendLine('    <</T(4-5)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2ZastupcaDat').split(".")[0]) + ')>>');
            stringBuilder.appendLine('    <</T(4-6)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2ZastupcaDat').split(".")[1]) + ')>>');
            stringBuilder.appendLine('    <</T(4-7)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2ZastupcaDat').split(".")[2]) + ')>>');
        } else {
            stringBuilder.appendLine('    <</T(4-5)/V()>>');
            stringBuilder.appendLine('    <</T(4-6)/V()>>');
            stringBuilder.appendLine('    <</T(4-7)/V()>>');
        }
        stringBuilder.appendLine('    <</T(4-8)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2AdrStatutarUlica')) + ')>>');
        stringBuilder.appendLine('    <</T(4-9)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2AdrStatutarSupisneCislo')) + ')>>');
        stringBuilder.appendLine('    <</T(4-10)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2AdrStatutarOrientacneCislo')) + ')>>');
        stringBuilder.appendLine('    <</T(4-11)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2AdrStatutarPSC')) + ')>>');
        stringBuilder.appendLine('    <</T(4-12)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2AdrStatutarObec')) + ')>>');
        stringBuilder.appendLine('    <</T(4-13)/V(' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2AdrStatutarStat')) + ')>>');

        stringBuilder.appendLine('    ]');
        stringBuilder.appendLine('    >>');
    } //KOOOOOOOONIEC F000000000000000R

    var pageValues1 = polesekcii.pages[0];
    if (!!getPageValue2Fdf(pageValues1, 'pr2PotvrdDatum')) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2PotvrdDatum').split(".")[0]) + ')/T(dat1)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2PotvrdDatum').split(".")[1]) + ')/T(dat2)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(getPageValue2Fdf(pageValues1, 'pr2PotvrdDatum').split(".")[2].substr(2, 2)) + ')/T(dat3)>>');
    } else {
        stringBuilder.appendLine('    <</V()/T(dat1)>>');
        stringBuilder.appendLine('    <</V()/T(dat2)>>');
        stringBuilder.appendLine('    <</V()/T(dat3)>>');
    }
    stringBuilder.appendLine('    ]');
    stringBuilder.appendLine('    /F (form.516.REGDP-21-priloha10-print-save.pdf)');
    stringBuilder.appendLine('    /ID [ <0f1c0c5013770170f4042d0f9bbdc064><a5068aaaef508935aa432b69ff871eaf>');
    stringBuilder.appendLine('  ] >> ');
    stringBuilder.appendLine('  >> ');
    stringBuilder.appendLine('  endobj');
    stringBuilder.appendLine('  trailer');
    stringBuilder.appendLine('  <<');
    stringBuilder.appendLine('    /Root 1 0 R');
    stringBuilder.appendLine('  >>');
    stringBuilder.appendLine('  %%EOF');
    return stringBuilder.string();
}