<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="xhtml" xpath-default-namespace="http://www.w3.org/1999/xhtml" indent="yes" omit-xml-declaration="yes"/>
<xsl:template match="/">
<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"&gt;</xsl:text>
<html xsl:version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=8" />
<title>REGDPv21 Žiadosť o registráciu, oznámenie zmien, žiadosť o zrušenie registrácie na daň z príjmov, daň z pridanej hodnoty a daň z poistenia (od 1.7. 2021)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="language" content="sk-SK" />
<style type="text/css">
body { 
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	background-color:transparent;
	color: #646464;
}
.ui-tabs {
	padding: .2em;
	position: relative;
	zoom: 1;
}
.ui-widget-content {
	background: #f9f9f9;
	border: 2px solid #d4d4d4;
	color: #3e3e3e;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}
.ui-widget-header {					 
	font-weight: 400;	
	border: 1px solid #5f5247;
	background-color: #5f5247;
	color: #fff;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}								
.clear { clear: both; }
.layoutMain {
	margin: 0px auto;
	padding: 5px 5px 5px 5px;	
}				
.layoutRow { margin-bottom: 5px; }				
.caption { /*width: 100%; border-bottom: solid 1px black;*/ }
.nocaption > .caption { border: 0px !important; }
.nocaption > .caption span {
	background: none !important;
	display: none;
} 
.caption .title { padding-left: 5px; }
.headercorrection {	
	margin: 0px;
}				
.labelVis {
	float: left;
	font-weight: bold;
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	line-height: 25px;
	margin: 0px 18px 0px 0px;
	padding: 0;
	width: 190px;
}
.contentVis {    	     
	float: left;	
	line-height: 25px;
	margin: 0px;
	padding: 0px;
	vertical-align: top;			
}
.wordwrap { 
   white-space: pre-wrap;      
   white-space: -moz-pre-wrap; 
   white-space: -pre-wrap;     
   white-space: -o-pre-wrap;   
   word-wrap: break-word;      
}				
</style>
</head>
<body>
<div id="main" class="layoutMain">
<xsl:for-each select="/dokument">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">REG DP</div>
</div>
<xsl:if test="/dokument/nazov/text()"><div><label class="labelVis">nazov: </label><span class="contentVis wordwrap"><xsl:value-of select="./nazov"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/regOddiel0">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">registracia</div>
</div>
<xsl:for-each select="/dokument/regOddiel0/dicOddiel0">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">DIC</div>
</div>
<xsl:if test="/dokument/regOddiel0/dicOddiel0/dic/text()"><div><label class="labelVis">DIČ (ak bolo pridelené): </label><span class="contentVis wordwrap"><xsl:value-of select="./dic"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/regOddiel0/dicOddiel0/icdOddiel0/text()"><div><label class="labelVis">Identifikačné číslo pre DPH: </label><span class="contentVis wordwrap"><xsl:value-of select="./icdOddiel0"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/regOddiel0/typSubjektuOddiel0">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Typ subjektu</div>
</div>
<xsl:if test="/dokument/regOddiel0/typSubjektuOddiel0/rbTypSubjektu/text()"><div><label class="labelVis">rbTypSubjektu: </label><span class="contentVis wordwrap"><xsl:value-of select="./rbTypSubjektu"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/regOddiel0/typZiadosti">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Typ žiadosti</div>
</div>
<xsl:if test="/dokument/regOddiel0/typZiadosti/rbDruhDP/text()"><div><label class="labelVis">rbDruhDP: </label><span class="contentVis wordwrap"><xsl:value-of select="./rbDruhDP"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/regOddiel0/typZiadosti/datumnastalazmena">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">datumnastalazmena</div>
</div>
<xsl:if test="/dokument/regOddiel0/typZiadosti/datumnastalazmena/datumZmeny/text()"><div><label class="labelVis">Dátum, ku ktorému nastala zmena: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./datumZmeny" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">I. Druh dane, ku ktorému sa žiada registrácia, oznámenie zmeny alebo zrušenie registrácie</div>
</div>
<xsl:for-each select="/dokument/cast1/cast1DanPrijmy">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Daň z príjmov</div>
</div>
<xsl:if test="/dokument/cast1/cast1DanPrijmy/cast1Prijmy/text()"><div><label class="labelVis">Daň z príjmov: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1Prijmy"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast1/cast1DanPrijmy/cast1Ziskanie/text()"><div><label class="labelVis">získanie povolenia alebo oprávnenia na podnikanie, začatie výkonu inej samostatnej zárobkovej činnosti fyzickou osobou alebo začatie prenajímania nehnuteľnosti fyzickou osobou, vznik stálej prevádzkarne na území Slovenskej republiky, vznik miesta skutočného vedenia na území Slovenskej republiky: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1Ziskanie"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast1/cast1DanPrijmy/cast1Zrusenie/text()"><div><label class="labelVis">zrušenie povolenia alebo zánik oprávnenia na podnikanie, ukončenie výkonu inej samostatnej zárobkovej činnosti fyzickou osobou alebo ukončenie prenajímania nehnuteľnosti fyzickou osobou, zánik stálej prevádzkarne na území Slovenskej republiky, zánik miesta skutočného vedenia na území Slovenskej republiky: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1Zrusenie"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast1/cast1DanPrijmy/cast1Vznik/text()"><div><label class="labelVis">vznik povinnosti platiteľa dane z príjmov: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1Vznik"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/cast1/cast1DanPrijmy/cast1VznikDelenie">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">vznik povinnosti platiteľa dane z príjmov</div>
</div>
<xsl:if test="/dokument/cast1/cast1DanPrijmy/cast1VznikDelenie/cast1ZavCinnost/text()"><div><label class="labelVis">zo závislej činnosti: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1ZavCinnost"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast1/cast1DanPrijmy/cast1VznikDelenie/cast1Zrazkou/text()"><div><label class="labelVis">vyberaných zrážkou: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1Zrazkou"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast1/cast1DanPrijmy/cast1VznikDelenie/cast1Platitela/text()"><div><label class="labelVis">z ktorých sa zabezpečuje daň: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1Platitela"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/cast1/cast1DanPrijmy/cast1zanik/text()"><div><label class="labelVis">zánik povinnosti platiteľa dane z príjmov: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1zanik"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast1/cast1DanPrijmy/cast1Ine/text()"><div><label class="labelVis">iné: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1Ine"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast1/cast1DanPrijmy/cast1IneVypln/text()"><div><label class="labelVis">iné vypln: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1IneVypln"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast1/cast1DanHodnoty">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Daň z pridanej hodnoty</div>
</div>
<xsl:if test="/dokument/cast1/cast1DanHodnoty/cast1PridanaHodnota/text()"><div><label class="labelVis">Daň z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1PridanaHodnota"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast1/cast1DanHodnoty/cast1TuzemOsoba/text()"><div><label class="labelVis">tuzemská alebo zahraničná osoba: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1TuzemOsoba"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast1/cast1DanHodnoty/cast1Skupina/text()"><div><label class="labelVis">skupina 1): </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1Skupina"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast1/cast1DanHodnoty/cast1Pocet/text()"><div><label class="labelVis">počet členov v skupine (vrátane zástupcu skupiny): </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1Pocet"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast1/cast1PoistenieHodnoty">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Daň z poistenia</div>
</div>
<xsl:if test="/dokument/cast1/cast1PoistenieHodnoty/cast1Poistenie/text()"><div><label class="labelVis">Daň z poistenia: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1Poistenie"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast1/cast1PoistenieHodnoty/cast1Poistovatel/text()"><div><label class="labelVis">poisťovateľ: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1Poistovatel"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast1/cast1PoistenieHodnoty/cast1Poistnik/text()"><div><label class="labelVis">poistník: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1Poistnik"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast1/cast1PoistenieHodnoty/cast1PravOsoba/text()"><div><label class="labelVis">právnická osoba, ktorej sú preúčtované náklady poistenia: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast1PravOsoba"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">II. Fyzická osoba</div>
</div>
<xsl:if test="/dokument/cast2/cast2TitulPred/text()"><div><label class="labelVis">Titul uvádzaný pred menom: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast2TitulPred"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast2/cast2Meno/text()"><div><label class="labelVis">Meno: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast2Meno"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast2/cast2Priezvisko/text()"><div><label class="labelVis">Priezvisko: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast2Priezvisko"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast2/cast2TitulZa/text()"><div><label class="labelVis">Titul uvádzaný za menom: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast2TitulZa"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast2/cast2Ico/text()"><div><label class="labelVis">IČO: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast2Ico"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/cast2/cast2RC">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Rodné číslo</div>
</div>
<xsl:if test="/dokument/cast2/cast2RC/cast2RodneCislo1/text()"><div><label class="labelVis">Rodné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast2RodneCislo1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast2/cast2RC/cast2RodneCislo2/text()"><div><label class="labelVis">Rodné číslo 2: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast2RodneCislo2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/cast2/cast2DatumNar/text()"><div><label class="labelVis">Dátum narodenia ak ide o fyzickú osobus bydliskom mimo územia SR: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./cast2DatumNar" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast2/cast2Telefon/text()"><div><label class="labelVis">Číslo telefónu: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast2Telefon"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast3">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">III. Právnická osoba 2)</div>
</div>
<xsl:if test="/dokument/cast3/obchodneMeno/text()"><div><label class="labelVis">Obchodné meno alebo názov: </label><span class="contentVis wordwrap"><xsl:value-of select="./obchodneMeno"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast3/pravnaForma/text()"><div><label class="labelVis">Právna forma: </label><span class="contentVis wordwrap"><xsl:value-of select="./pravnaForma"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast3/ico/text()"><div><label class="labelVis">IČO (ak bolo pridelené na území SR): </label><span class="contentVis wordwrap"><xsl:value-of select="./ico"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast4">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">IV. Adresa trvalého pobytu alebo sídla</div>
</div>
<xsl:if test="/dokument/cast4/cast4Ulica/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast4Ulica"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/cast4/cast4Subcis">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sup/cis</div>
</div>
<xsl:if test="/dokument/cast4/cast4Subcis/cast4OrientacneC/text()"><div><label class="labelVis">Súpisné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast4OrientacneC"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast4/cast4Subcis/cast4Lomitko/text()"><div><label class="labelVis">Orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast4Lomitko"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/cast4/cast4Psc/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast4Psc"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast4/cast4Obec/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast4Obec"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast4/cast4Stat/text()"><div><label class="labelVis">Štát: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast4Stat"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast5">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">V. Miesto podnikania na území Slovenskej republiky (ak nie je totožné s trvalým pobytom)</div>
</div>
<xsl:for-each select="/dokument/cast5/secMiestoPodnikaniaPrevadzkaren">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">miesto podnikania prevadzkaren</div>
</div>
<xsl:if test="/dokument/cast5/secMiestoPodnikaniaPrevadzkaren/cast5Miesto/text()"><div><label class="labelVis">miesta podnikania: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast5Miesto"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast5/secMiestoPodnikaniaPrevadzkaren/cast5Prevadzkaren/text()"><div><label class="labelVis">stálej prevádzkarne: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast5Prevadzkaren"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast5/secMiestoPodnikaniaPrevadzkaren/cast5prevadzkarenSR/text()"><div><label class="labelVis">prevádzkarne: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast5prevadzkarenSR"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast5/secMiestoPodnikaniaPrevadzkaren/cast5vedenia/text()"><div><label class="labelVis">miesta skutočného vedenia: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast5vedenia"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/cast5/cast5Nazov/text()"><div><label class="labelVis">Názov a umiestnenie: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast5Nazov"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast5/cast5Ulica/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast5Ulica"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/cast5/cast5Subcis">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sup/cis</div>
</div>
<xsl:if test="/dokument/cast5/cast5Subcis/cast5OrientacneC/text()"><div><label class="labelVis">Súpisné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast5OrientacneC"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast5/cast5Subcis/cast5Lomitko/text()"><div><label class="labelVis">Orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast5Lomitko"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/cast5/cast5Psc/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast5Psc"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast5/cast5Obec/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast5Obec"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast6">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">VI. Organizačná zložka podľa Obchodného zákonníka (výpĺňa sa, ak ide o zahraničnú osobu)</div>
</div>
<xsl:for-each select="/dokument/cast6/cast6ICOZlozky">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">ICO organizačnej zložky</div>
</div>
<xsl:if test="/dokument/cast6/cast6ICOZlozky/cast6ICO/text()"><div><label class="labelVis">IČO organizačnej zložky (vrátane poradového čísla): </label><span class="contentVis wordwrap"><xsl:value-of select="./cast6ICO"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast6/cast6ICOZlozky/cast6PoradoveC/text()"><div><label class="labelVis">SID (poradové číslo): </label><span class="contentVis wordwrap"><xsl:value-of select="./cast6PoradoveC"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/cast6/cast6Nazov/text()"><div><label class="labelVis">Názov a umiestnenie organizačnej zložky: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast6Nazov"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast6/cast6Ulica/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast6Ulica"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/cast6/cast6Subcis">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sup/cis</div>
</div>
<xsl:if test="/dokument/cast6/cast6Subcis/cast6OrientacneC/text()"><div><label class="labelVis">Súpisné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast6OrientacneC"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast6/cast6Subcis/cast6Lomitko/text()"><div><label class="labelVis">Orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast6Lomitko"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/cast6/cast6Psc/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast6Psc"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast6/cast6Obec/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast6Obec"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast7">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">VII. Osoba oprávnená konať za daňový subjekt</div>
</div>
<xsl:if test="/dokument/cast7/cast7TitulPred/text()"><div><label class="labelVis">Titul uvádzaný pred menom: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast7TitulPred"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast7/cast7Meno/text()"><div><label class="labelVis">Meno: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast7Meno"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast7/cast7Priezvisko/text()"><div><label class="labelVis">Priezvisko: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast7Priezvisko"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast7/cast7TitulZa/text()"><div><label class="labelVis">Titul uvádzaný za menom: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast7TitulZa"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast7/cast7Ico/text()"><div><label class="labelVis">IČO: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast7Ico"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/cast7/cas7RC">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Rodné číslo</div>
</div>
<xsl:if test="/dokument/cast7/cas7RC/cast7RodneCislo1/text()"><div><label class="labelVis">Rodné číslo - prvá časť: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast7RodneCislo1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast7/cas7RC/cast7RodneCislo2/text()"><div><label class="labelVis">Rodné číslo - druhá časť: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast7RodneCislo2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/cast7/cast7DatumNar/text()"><div><label class="labelVis">Dátum narodenia ak ide o fyzickú osobus bydliskom mimo územia SR: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./cast7DatumNar" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast7/cast7Telefon/text()"><div><label class="labelVis">Číslo telefónu: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast7Telefon"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast7/cast7Ulica/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast7Ulica"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/cast7/secOprOsobaAdresaCislo">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sup/orient cislo</div>
</div>
<xsl:if test="/dokument/cast7/secOprOsobaAdresaCislo/cast7SupisneC/text()"><div><label class="labelVis">Súpisné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast7SupisneC"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast7/secOprOsobaAdresaCislo/cast7OrientacneC/text()"><div><label class="labelVis">Orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast7OrientacneC"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/cast7/cast7psc/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast7psc"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast7/cast7Obec/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast7Obec"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast7/cast7stat/text()"><div><label class="labelVis">Štát: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast7stat"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast8">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">VIII. Adresa na doručovanie na území členského štátu 3)</div>
</div>
<xsl:if test="/dokument/cast8/cast8Ulica/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast8Ulica"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/cast8/cast8Subcis">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sup/cis</div>
</div>
<xsl:if test="/dokument/cast8/cast8Subcis/cast8OrientacneC/text()"><div><label class="labelVis">Súpisné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast8OrientacneC"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast8/cast8Subcis/cast8Lomitko/text()"><div><label class="labelVis">Orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast8Lomitko"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/cast8/cast8Psc/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast8Psc"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast8/cast8Obec/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast8Obec"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast8/cast8Stat/text()"><div><label class="labelVis">Štát: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast8Stat"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast9">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">IX. Splnomocnenec na doručovanie v tuzemsku 4)</div>
</div>
<xsl:for-each select="/dokument/cast9/cast9FO">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Splnomocnenec – fyzická osoba</div>
</div>
<xsl:if test="/dokument/cast9/cast9FO/cast9rbFO/text()"><div><label class="labelVis">Splnomocnenec – fyzická osoba: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9rbFO"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast9/cast9FO/cast9DICFO/text()"><div><label class="labelVis">DIČ (ak bolo pridelené): </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9DICFO"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/cast9/cast9FO/cas9RC">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Rodné číslo</div>
</div>
<xsl:if test="/dokument/cast9/cast9FO/cas9RC/cast9RodneCislo1/text()"><div><label class="labelVis">Rodné číslo - prvá časť: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9RodneCislo1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast9/cast9FO/cas9RC/cast9RodneCislo2/text()"><div><label class="labelVis">Rodné číslo - druhá časť: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9RodneCislo2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/cast9/cast9FO/cast9Meno/text()"><div><label class="labelVis">Meno: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9Meno"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast9/cast9FO/cast9Priezvisko/text()"><div><label class="labelVis">Priezvisko: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9Priezvisko"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast9/cast9PO">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Splnomocnenec – právnická osoba</div>
</div>
<xsl:if test="/dokument/cast9/cast9PO/cast9rbPO/text()"><div><label class="labelVis">Splnomocnenec – právnická osoba: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9rbPO"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast9/cast9PO/cast9DICPO/text()"><div><label class="labelVis">DIČ (ak bolo pridelené): </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9DICPO"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast9/cast9PO/cast9ICO/text()"><div><label class="labelVis">IČO: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9ICO"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast9/cast9PO/cast9Nazov/text()"><div><label class="labelVis">Obchodné meno alebo názov: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9Nazov"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast9/cast9Udaje">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">udaje</div>
</div>
<xsl:if test="/dokument/cast9/cast9Udaje/cast9Ulica/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9Ulica"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/cast9/cast9Udaje/cast9Subcis">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sup/cis</div>
</div>
<xsl:if test="/dokument/cast9/cast9Udaje/cast9Subcis/cast9OrientacneC/text()"><div><label class="labelVis">Súpisné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9OrientacneC"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast9/cast9Udaje/cast9Subcis/cast9Lomitko/text()"><div><label class="labelVis">Orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9Lomitko"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/cast9/cast9Udaje/cast9Psc/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9Psc"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast9/cast9Udaje/cast9Obec/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9Obec"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast9Prilohy">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">prilohy/vyhlasenie</div>
</div>
<xsl:if test="/dokument/cast9Prilohy/cast9PocetPriloh/text()"><div><label class="labelVis">Počet príloh (uvádza sa v závislosti od príslušnej dane, ku ktorej sa žiadosť vzťahuje): </label><span class="contentVis wordwrap"><xsl:value-of select="./cast9PocetPriloh"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/cast9Prilohy/cast9Datum/text()"><div><label class="labelVis">Dátum: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./cast9Datum" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/cast10">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">X. Poznámky</div>
</div>
<xsl:if test="/dokument/cast10/cast10Poznamky/text()"><div><label class="labelVis">X. Poznámky: </label><span class="contentVis wordwrap"><xsl:value-of select="./cast10Poznamky"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/secVysvetlivky/text()"><div><label class="labelVis">secVysvetlivky: </label><span class="contentVis wordwrap"><xsl:value-of select="./secVysvetlivky"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/priloha1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">PRÍLOHA 1 - DAŇ Z PRIDANEJ HODNOTY</div>
</div>
<xsl:for-each select="/dokument/priloha1/zakon41">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">4-1 zákona</div>
</div>
<xsl:if test="/dokument/priloha1/zakon41/zakon41check2/text()"><div><label class="labelVis">Registrácia za platiteľa dane z pridanej hodnoty podľa § 4 ods. 1 zákona zákona č. 222/2004 Z. z. o dani z pridanej hodnoty v znení neskorších predpisov (ďalej len &#34;zákon o dani z pridanej hodnoty&#34;): </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon41check2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/priloha1/zakon41/zakon41obratSekcia">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Obrat za posledných 12 mesiacov</div>
</div>
<xsl:if test="/dokument/priloha1/zakon41/zakon41obratSekcia/zakon41Obrat/text()"><div><label class="labelVis">Obrat za posledných 12 predchádzajúcich po sebeidúcich kalendárnych mesiacov (v eurách): </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon41Obrat"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha1/zakon41/zakon41MR">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">mesiac a rok dosiahnutia obratu</div>
</div>
<xsl:for-each select="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">mesiaca rok</div>
</div>
<xsl:if test="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41mesiac/text()"><div><label class="labelVis">mesiac: </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon41mesiac"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41rok/text()"><div><label class="labelVis">rok: </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon41rok"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha1/zakon42">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">4-2 zákona</div>
</div>
<xsl:if test="/dokument/priloha1/zakon42/zakon42check/text()"><div><label class="labelVis">Registrácia za platiteľa dane z pridanej hodnoty podľa § 4 ods. 2 zákona o dani z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon42check"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/priloha1/zakon42/zakon42Dat">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Dátum nadobudnutia majetku dedičstvom</div>
</div>
<xsl:if test="/dokument/priloha1/zakon42/zakon42Dat/zakon42Datum/text()"><div><label class="labelVis">Dátum nadobudnutia majetku dedičstvom (vypĺňa sa,ak ide o žiadosť o registráciu po skončení konaniao dedičstve podľa § 83 zákona o dani z pridanej hodnoty): </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./zakon42Datum" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha1/zakon44">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">4-4 zákona</div>
</div>
<xsl:if test="/dokument/priloha1/zakon44/zakon44check/text()"><div><label class="labelVis">Registrácia za platiteľa dane z pridanej hodnoty podľa § 4 ods. 4 zákona o dani z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon44check"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/priloha1/zakon44/zakon44Dat">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Dátum nadobudnutia podniku alebo jeho časti</div>
</div>
<xsl:if test="/dokument/priloha1/zakon44/zakon44Dat/zakon44Datum/text()"><div><label class="labelVis">Dátum nadobudnutia podniku alebo jeho časti, alebo dodania stavby alebo prijatia platby pred jej dodaním: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./zakon44Datum" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha1/zakon44/zakon44Dat2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Dátum kedy sa zdaniteľná osoba stala nástupcom platiteľa</div>
</div>
<xsl:if test="/dokument/priloha1/zakon44/zakon44Dat2/zakon44Datum2/text()"><div><label class="labelVis">Dátum, kedy sa zdaniteľná osoba stala právnym nástupcom platiteľa, ktorý zanikol bez likvidácie: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./zakon44Datum2" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha1/zakon44/zakon44Dat3">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Dátum dodania tovaru s miestom dodania</div>
</div>
<xsl:if test="/dokument/priloha1/zakon44/zakon44Dat3/zakon44Datum3/text()"><div><label class="labelVis">Dátum dodania tovaru s miestom dodania v tuzemsku podľa§ 8 ods. 7 prvej vety zákona o dani z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./zakon44Datum3" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/priloha1/zakon44/zakon45check/text()"><div><label class="labelVis">Registrácia za platiteľa dane z pridanej hodnoty podľa § 4 zákona o dani z pridanej hodnoty z dôvodu registrácie podľa § 48c ods. 5 zákona o dani z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon45check"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha1/zakon5">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">5 zákona</div>
</div>
<xsl:if test="/dokument/priloha1/zakon5/zakon5check/text()"><div><label class="labelVis">Registrácia za platiteľa dane z pridanej hodnoty podľa § 5 zákona o dani z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon5check"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/priloha1/zakon5/zakon5check2/text()"><div><label class="labelVis">Registrácia za platiteľa dane z pridanej hodnoty podľa § 5 zákona o dani z pridanej hodnoty z dôvodu registrácie podľa § 48c ods. 5 zákona o dani z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon5check2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha1/zakon6144">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">6-1 zákona44</div>
</div>
<xsl:if test="/dokument/priloha1/zakon6144/zakon6144check/text()"><div><label class="labelVis">Zmena registrácie platiteľa dane z pridanej hodnoty podľa § 6a ods. 1 zákona o dani z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon6144check"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/priloha1/zakon6144/zakon6144reg">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">z registrácie podľa zákona</div>
</div>
<xsl:if test="/dokument/priloha1/zakon6144/zakon6144reg/zakon61445/text()"><div><label class="labelVis">z registrácie podľa § 5 zákona o dani z pridanej hodnoty na registráciupodľa § 4 zákona o dani z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon61445"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/priloha1/zakon6144/zakon6144Datum/text()"><div><label class="labelVis">Deň, keď osoba registrovaná podľa § 5 alebo § 6 zákona prestala spĺňať status zahraničnej osoby: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./zakon6144Datum" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha1/zakon6256">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">6-2 zákona56</div>
</div>
<xsl:if test="/dokument/priloha1/zakon6256/zakon6256check/text()"><div><label class="labelVis">Zmena registrácie platiteľa dane z pridanej hodnoty podľa § 6a ods. 2 zákona o dani z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon6256check"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/priloha1/zakon6256/zakon6256reg">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">z registrácie podľa zákona</div>
</div>
<xsl:if test="/dokument/priloha1/zakon6256/zakon6256reg/zakon62565/text()"><div><label class="labelVis">z registrácie podľa § 4 zákona o dani z pridanej hodnoty naregistráciu podľa § 5 zákona o dani z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon62565"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/priloha1/zakon6256/zakon6256Datum/text()"><div><label class="labelVis">Deň, keď zahraničná osoba registrovaná podľa § 4 zákona prestala mať v tuzemsku sídlo, miesto podnikania, prevádzkareň, bydlisko alebo miesto, kde sa obvykle zdržiava: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./zakon6256Datum" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha1/zakon71">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">7-1 zákona</div>
</div>
<xsl:if test="/dokument/priloha1/zakon71/zakon71check/text()"><div><label class="labelVis">Registrácia pred nadobudnutím tovaru v tuzemsku z iného členského štátu podľa § 7 ods. 1 zákona o dani z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon71check"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/priloha1/zakon71/zakon71HodnotaSekcia">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Celková hodnota tovaru bez dane nadobudnutého z iných členských štátov v kalendárnom roku (v eurách)</div>
</div>
<xsl:if test="/dokument/priloha1/zakon71/zakon71HodnotaSekcia/zakon71Hodnota/text()"><div><label class="labelVis">Celková hodnota tovaru bez dane nadobudnutého z iných členských štátov v kalendárnom roku (v eurách): </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon71Hodnota"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha1/zakon72">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">7-2 zákona</div>
</div>
<xsl:if test="/dokument/priloha1/zakon72/zakon72check/text()"><div><label class="labelVis">Registrácia pred nadobudnutím tovaru v tuzemsku z iného členského štátu podľa § 7 ods. 2 zákona o dani z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon72check"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha1/zakon7">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">7 zákona</div>
</div>
<xsl:if test="/dokument/priloha1/zakon7/zakon7check/text()"><div><label class="labelVis">Registrácia pred prijatím služby z iného členského štátu alebo pred dodaním služby do iného členského štátu podľa § 7a zákona  o dani z pridanej hodnoty: </label><span class="contentVis wordwrap"><xsl:value-of select="./zakon7check"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">PRÍLOHA 2 - DAŇ Z PRIDANEJ HODNOTY (člen skupiny)</div>
</div>
<xsl:for-each select="/dokument/priloha2/pr2Registracia">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Registrácia</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Registracia/pr2RegClena/text()"><div><label class="labelVis">Registrácia člena skupiny: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2RegClena"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/priloha2/pr2Registracia/pr2Zmena">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Zmena registrácie skupiny z dôvodu</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Registracia/pr2Zmena/pr2RegPristupNove/text()"><div><label class="labelVis">pristúpenia nového člena: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2RegPristupNove"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/priloha2/pr2Registracia/pr2Zmena/pr2RegVystup/text()"><div><label class="labelVis">vystúpenia člena: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2RegVystup"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/priloha2/pr2Registracia/pr2Zmena/pr2RegZanik/text()"><div><label class="labelVis">zániku člena bez likvidácie: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2RegZanik"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/priloha2/pr2Registracia/pr2Zmena/pr2RegPristupNastup/text()"><div><label class="labelVis">pristúpenie právneho nástupcu zaniknutého člena skupiny: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2RegPristupNastup"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2ClenSec">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">I. Člen skupiny</div>
</div>
<xsl:for-each select="/dokument/priloha2/pr2ClenSec/pr2ClenICOSeckia">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">IČ pre DPH -DIČ</div>
</div>
<xsl:if test="/dokument/priloha2/pr2ClenSec/pr2ClenICOSeckia/pr2ClenIC/text()"><div><label class="labelVis">IČ pre DPH (ak bolo pridelené) alebo DIČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2ClenIC"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/priloha2/pr2ClenSec/pr2ClenICOSeckia/pr2ClenDIC/text()"><div><label class="labelVis">IČ pre DPH alebo DIČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2ClenDIC"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2ClenSec/secpr2ClenICO">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pr2ClenICO</div>
</div>
<xsl:if test="/dokument/priloha2/pr2ClenSec/secpr2ClenICO/pr2ClenICO/text()"><div><label class="labelVis">IČO: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2ClenICO"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2ClenSec/secpr2ClenRC">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Rodné číslo</div>
</div>
<xsl:if test="/dokument/priloha2/pr2ClenSec/secpr2ClenRC/pr2ClenRC1/text()"><div><label class="labelVis">Rodné číslo - prvá časť: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2ClenRC1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/priloha2/pr2ClenSec/secpr2ClenRC/pr2ClenRC2/text()"><div><label class="labelVis">Rodné číslo - druhá časť: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2ClenRC2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2ClenSec/secpr2ClenObchMeno">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pr2ClenObchMeno</div>
</div>
<xsl:if test="/dokument/priloha2/pr2ClenSec/secpr2ClenObchMeno/pr2ClenObchMeno/text()"><div><label class="labelVis">Obchodné meno alebo názov právnickej osoby alebo meno a priezvisko fyzickej osoby: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2ClenObchMeno"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Sidlo">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">II. Sídlo (právnická osoba), miesto trvalého pobytu (fyzická osoba)</div>
</div>
<xsl:for-each select="/dokument/priloha2/pr2Sidlo/secpr2SidloUlica">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pr2SidloUlica</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Sidlo/secpr2SidloUlica/pr2SidloUlica/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2SidloUlica"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Sidlo/pr2SidloUlicaCislo">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Súpisné/orientačné číslo</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Sidlo/pr2SidloUlicaCislo/pr2SidloCislo/text()"><div><label class="labelVis">Súpisné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2SidloCislo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/priloha2/pr2Sidlo/pr2SidloUlicaCislo/pr2SidloOrient/text()"><div><label class="labelVis">Orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2SidloOrient"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Sidlo/secpr2SidloPsc">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pr2SidloPsc</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Sidlo/secpr2SidloPsc/pr2SidloPsc/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2SidloPsc"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Sidlo/secpr2SidloObec">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pr2SidloObec</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Sidlo/secpr2SidloObec/pr2SidloObec/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2SidloObec"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Sidlo/secpr2SidloStat">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pr2SidloStat</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Sidlo/secpr2SidloStat/pr2SidloStat/text()"><div><label class="labelVis">Štát: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2SidloStat"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Sidlo/secpr2SidloTel">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pr2SidloTel</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Sidlo/secpr2SidloTel/pr2SidloTel/text()"><div><label class="labelVis">Číslo telefónu: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2SidloTel"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Adresa">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">III. Adresa miesta podnikania alebo prevádzkarne v tuzemsku (vypĺňa sa, ak ide o osobu so sídlom alebo trvalým pobytom v zahraničí)</div>
</div>
<xsl:for-each select="/dokument/priloha2/pr2Adresa/secpr2AdresaUlica">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pr2AdresaUlica</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Adresa/secpr2AdresaUlica/pr2AdresaUlica/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2AdresaUlica"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Adresa/pr2AdresaUlicaCislo">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Súpisné/orientačné číslo</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Adresa/pr2AdresaUlicaCislo/pr2AdresaCislo/text()"><div><label class="labelVis">Súpisné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2AdresaCislo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/priloha2/pr2Adresa/pr2AdresaUlicaCislo/pr2AdresaOrient/text()"><div><label class="labelVis">Orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2AdresaOrient"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Adresa/secpr2AdresaPsc">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pr2AdresaPsc</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Adresa/secpr2AdresaPsc/pr2AdresaPsc/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2AdresaPsc"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Adresa/secpr2AdresaObec">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pr2AdresaObec</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Adresa/secpr2AdresaObec/pr2AdresaObec/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2AdresaObec"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Adresa/secpr2AdresaTel">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pr2AdresaTel</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Adresa/secpr2AdresaTel/pr2AdresaTel/text()"><div><label class="labelVis">Číslo telefónu: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2AdresaTel"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Zastupca">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">IV. Štatutárny zástupca</div>
</div>
<xsl:for-each select="/dokument/priloha2/pr2Zastupca/secSekcia1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sekcia1</div>
</div>
<xsl:for-each select="/dokument/priloha2/pr2Zastupca/secSekcia1/secpr2AdresaMeno">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pr2AdresaMeno</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Zastupca/secSekcia1/secpr2AdresaMeno/pr2AdresaMeno/text()"><div><label class="labelVis">Meno: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2AdresaMeno"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Zastupca/secSekcia1/secpr2AdresaPriezvisko">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pr2AdresaPriezvisko</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Zastupca/secSekcia1/secpr2AdresaPriezvisko/pr2AdresaPriezvisko/text()"><div><label class="labelVis">Priezvisko: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2AdresaPriezvisko"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Zastupca/secSekcia1/pr2ZastupcaRCDat">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Rodné číslo</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Zastupca/secSekcia1/pr2ZastupcaRCDat/pr2ZastupcaRC1/text()"><div><label class="labelVis">Rodné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2ZastupcaRC1"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/priloha2/pr2Zastupca/secSekcia1/pr2ZastupcaRCDat/pr2ZastupcaRC2/text()"><div><label class="labelVis">Rodné číslo 2: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2ZastupcaRC2"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Zastupca/secSekcia1/secpr2ZastupcaDat">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">pr2ZastupcaDat</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Zastupca/secSekcia1/secpr2ZastupcaDat/pr2ZastupcaDat/text()"><div><label class="labelVis">Dátum narodenia ak ide o fyzickú osobu s bydliskom mimo územia SR: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./pr2ZastupcaDat" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Zastupca/secSekcia2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Sekcia2</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Zastupca/secSekcia2/pr2AdrStatutarUlica/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2AdrStatutarUlica"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/priloha2/pr2Zastupca/secSekcia2/secpr2AdrStatutarSupOrientCislo">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">súpisné a orientačné číslo</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Zastupca/secSekcia2/secpr2AdrStatutarSupOrientCislo/pr2AdrStatutarSupisneCislo/text()"><div><label class="labelVis">Súpisné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2AdrStatutarSupisneCislo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/priloha2/pr2Zastupca/secSekcia2/secpr2AdrStatutarSupOrientCislo/pr2AdrStatutarOrientacneCislo/text()"><div><label class="labelVis">Orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2AdrStatutarOrientacneCislo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/priloha2/pr2Zastupca/secSekcia2/pr2AdrStatutarPSC/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2AdrStatutarPSC"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/priloha2/pr2Zastupca/secSekcia2/pr2AdrStatutarObec/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2AdrStatutarObec"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/priloha2/pr2Zastupca/secSekcia2/pr2AdrStatutarStat/text()"><div><label class="labelVis">Štát: </label><span class="contentVis wordwrap"><xsl:value-of select="./pr2AdrStatutarStat"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/priloha2/pr2Potvrdenie">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Potvrdenie</div>
</div>
<xsl:if test="/dokument/priloha2/pr2Potvrdenie/potvrdeniePodpis/text()"><div><label class="labelVis">Potvrdzujem, že...: </label><span class="contentVis wordwrap"><xsl:value-of select="./potvrdeniePodpis"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/priloha2/pr2Potvrdenie/pr2PotvrdDatum/text()"><div><label class="labelVis">Dátum: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./pr2PotvrdDatum" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</body>
</html>
</xsl:template>
<xsl:template name="formatToSkDate">
<xsl:param name="date" />
<xsl:value-of select="concat(substring($date, 9, 2), '.', substring($date, 6, 2), '.', substring($date, 1, 4))" />
</xsl:template>
</xsl:stylesheet>

