<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xml:lang="en" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:d = "http://docbook.org/ns/docbook" xmlns:xi="http://www.w3.org/2001/XInclude" xmlns:exsl="http://exslt.org/common"  exclude-result-prefixes="d" version="1.0">
  <xsl:template match="/">
    <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">      
		<fo:layout-master-set>
    <fo:simple-page-master master-name="even"
      page-height="297mm" page-width="210mm"
      margin-top="20mm" margin-bottom="20mm"
      margin-left="25mm" margin-right="25mm">
      <fo:region-body margin-bottom="20mm"/>
      <fo:region-after region-name="footer-even" extent="10mm"/>
    </fo:simple-page-master>
    <fo:simple-page-master master-name="odd"
      page-height="297mm" page-width="210mm"
      margin-top="20mm" margin-bottom="20mm"
      margin-left="25mm" margin-right="25mm">
      <fo:region-body margin-bottom="20mm"/>
      <fo:region-after region-name="footer-odd" extent="10mm"/>
    </fo:simple-page-master>
    <fo:page-sequence-master master-name="document">
      <fo:repeatable-page-master-alternatives>
        <fo:conditional-page-master-reference odd-or-even="even"
          master-reference="even"/>
        <fo:conditional-page-master-reference odd-or-even="odd"
          master-reference="odd"/>
      </fo:repeatable-page-master-alternatives>
    </fo:page-sequence-master>
  </fo:layout-master-set>
  <fo:page-sequence master-reference="document" font-family="Arial">
    <fo:static-content flow-name="footer-even">
      <fo:block text-align="end"><fo:page-number/></fo:block>
    </fo:static-content>
    <fo:static-content flow-name="footer-odd">
      <fo:block text-align-last="end"><fo:page-number/></fo:block>
    </fo:static-content>
          <fo:flow flow-name="xsl-region-body">							     				
										<xsl:for-each select="/dokument/nazov">
    			
				<fo:block text-align='center' font-weight='bold'>ŽIADOSŤ O REGISTRÁCIU,OZNÁMENIE ZMIEN, ŽIADOSŤO ZRUŠENIE REGISTRÁCIE NA DAŇ Z PRÍJMOV,DAŇ Z PRIDANEJ HODNOTY A DAŇ Z POISTENIA</fo:block><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<xsl:for-each select="/dokument/regOddiel0">
    			
						<xsl:for-each select="./dicOddiel0">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>DIČ (ak bolo pridelené)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/regOddiel0/dicOddiel0/dic'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>Identifikačné číslo pre DPH (ak bolo pridelené)</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>SK</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/regOddiel0/dicOddiel0/icdOddiel0'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./typSubjektuOddiel0">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Fyzická osoba</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/regOddiel0/typSubjektuOddiel0/foOddiel0[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell><fo:table-cell><fo:block>Právnická osoba</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/regOddiel0/typSubjektuOddiel0/poOddiel0[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./typZiadosti">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Žiadosť o registráciu</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/regOddiel0/typZiadosti/druhRegistracia[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>Žiadosť o zrušenie registrácie</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/regOddiel0/typZiadosti/druhZrusenieReg[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>Oznámenie zmeny týkajúcej sa registrácie</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/regOddiel0/typZiadosti/druhZmenaReg[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>Oznámenie zmeny týkajúcej sa identifikačných údajov</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/regOddiel0/typZiadosti/druhZmenaId[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/dokument/cast1">
    			<fo:block background-color='black' color='white'>I. Druh dane, ku ktorému sa žiada registrácia, oznámenie zmeny alebo zrušenie registrácie</fo:block><fo:block color='white'>|</fo:block>
						<xsl:for-each select="./cast1DanPrijmy">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Daň z príjmov</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1DanPrijmy/cast1Prijmy[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell><fo:table-cell><fo:block>získanie povolenia alebo oprávnenia na podnikanie, začatie výkonu inej samostatnej zárobkovej činnosti fyzickou osobou alebo začatie prenajímania nehnuteľnosti fyzickou osobou, vznik stálej prevádzkarne na území Slovenskej republiky, vznik miesta skutočného vedenia na území Slovenskej republiky</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1DanPrijmy/cast1Ziskanie[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>zrušenie povolenia alebo zánik oprávnenia na podnikanie, ukončenie výkonu inej samostatnej zárobkovej činnosti fyzickou osobou alebo ukončenie prenajímania nehnuteľnosti fyzickou osobou, zánik stálej prevádzkarne na území Slovenskej republiky, zánik miesta skutočného vedenia na území Slovenskej republiky</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1DanPrijmy/cast1Zrusenie[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>vznik povinnosti platiteľa dane z príjmov</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1DanPrijmy/cast1Vznik[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>zánik povinnosti platiteľa dane z príjmov</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1DanPrijmy/cast1zanik[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>iné</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1DanPrijmy/cast1Ine[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast1/cast1DanPrijmy/cast1IneVypln'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./cast1VznikDelenie">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>label</fo:block></fo:table-cell><fo:table-cell><fo:block>zo závislej činnosti</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1DanPrijmy/cast1VznikDelenie/cast1ZavCinnost[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>vyberaných zrážkou</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1DanPrijmy/cast1VznikDelenie/cast1Zrazkou[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>z ktorých sa zabezpečuje daň</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1DanPrijmy/cast1VznikDelenie/cast1Platitela[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./cast1DanHodnoty">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Daň z pridanej hodnoty</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1DanHodnoty/cast1PridanaHodnota[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell><fo:table-cell><fo:block>tuzemská alebo zahraničná osoba</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1DanHodnoty/cast1TuzemOsoba[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>skupina 1)</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1DanHodnoty/cast1Skupina[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>počet členov v skupine (vrátane zástupcu skupiny)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast1/cast1DanHodnoty/cast1Pocet'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./cast1PoistenieHodnoty">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Daň z poistenia</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1PoistenieHodnoty/cast1Poistenie[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell><fo:table-cell><fo:block>poisťovateľ</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1PoistenieHodnoty/cast1Poistovatel[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>poistník</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1PoistenieHodnoty/cast1Poistnik[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>právnická osoba, ktorej sú preúčtované náklady poistenia</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast1/cast1PoistenieHodnoty/cast1PravOsoba[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/dokument/cast2">
    			<fo:block background-color='black' color='white'>II. Fyzická osoba</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Titul uvádzaný pred menom</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast2/cast2TitulPred'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Meno</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast2/cast2Meno'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Priezvisko</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast2/cast2Priezvisko'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Titul uvádzaný za menom</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast2/cast2TitulZa'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>IČO</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast2/cast2Ico'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Dátum narodenia ak ide o fyzickú osobus bydliskom mimo územia SR</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast2/cast2DatumNar'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Číslo telefónu</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast2/cast2Telefon'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./cast2RC">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Rodné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast2/cast2RC/cast2RodneCislo1'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast2/cast2RC/cast2RodneCislo2'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/dokument/cast3">
    			<fo:block background-color='black' color='white'>III. Právnická osoba 2)</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt'>Obchodné meno alebo názov</fo:block></fo:table-cell></fo:table-row>
                                        <fo:table-row height='100px'><fo:table-cell border-width='0.1mm' border-style='solid' background-color='white'><fo:block padding-left='1pt' hyphenate='true'><xsl:value-of select='/dokument/cast3/obchodneMeno'/></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt'>Právna forma</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:if test="/dokument/cast3/pravnaForma[text()='111']">111 - Verejná obchodná spoločnosť</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='112']">112 - Spoločnosť s ručením obmedzeným</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='113']">113 - Komanditná spoločnosť</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='117']">117 - Nadácia</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='118']">118 - Neinvestičný fond</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='119']">119 - Nezisková organizácia</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='121']">121 - Akciová spoločnosť</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='122']">122 - Európske zoskupenie hospodárskych záujmov</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='123']">123 - Európska spoločnosť</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='124']">124 - Európske družstvo</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='205']">205 - Družstvo</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='271']">271 - Spoločenstvá vlastníkov pozemkov, bytov a pod.</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='301']">301 - Štátny podnik</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='311']">311 - Národná banka Slovenska</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='312']">312 - Banka-štátny peňažný ústav</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='321']">321 - Rozpočtová organizácia</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='331']">331 - Príspevková organizácia</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='381']">381 - Fondy</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='382']">382 - Verejnoprávna inštitúcia</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='421']">421 - Zahraničná osoba, právnická osoba so sídlom mimo územia SR</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='433']">433 - Sociálna a zdravotné poisťovne</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='434']">434 - Doplnková dôchodková poisťovňa</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='445']">445 - Komoditná burza</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='701']">701 - Združenie (zväz, spolok, spoločnosť, klub ai.)</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='711']">711 - Politická strana, politické hnutie</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='721']">721 - Cirkevná organizácia</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='741']">741 - Stavovská organizácia - profesná komora</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='745']">745 - Komora (s výnimkou profesných komôr)</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='751']">751 - Záujmové združenie právnických osôb</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='801']">801 - Obec (obecný úrad), mesto (mestský úrad)</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='803']">803 - Samosprávny kraj (úrad samosprávneho kraja)</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='804']">804 - Európske zoskupenie územnej spolupráce</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='901']">901 - Zastupiteľské orgány iných štátov</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='911']">911 - Zahraničné kultúrne, informačné stredisko, rozhlasová, tlačová a televízna agentúra</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='921']">921 - Medzinárodné organizácie a združenia</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='931']">931 - Zastúpenie zahraničnej právnickej osoby</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='125']">125 - Jednoduchá spoločnosť na akcie</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='120']">120 - Nezisková organizácia poskytujúca všeobecne prospešné služby</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='333']">333 - Verejná výskumná inštitúcia</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='383']">383 - Iná organizácia verejnej správy</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='141']">141 - Poľovnícka organizácia</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='272']">272 - Pozemkové spoločenstvo</xsl:if><xsl:if test="/dokument/cast3/pravnaForma[text()='273']">273 - Združenie účastníkov pozemkových úprav</xsl:if><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>IČO (ak bolo pridelené na území SR)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast3/ico'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<xsl:for-each select="/dokument/cast4">
    			<fo:block background-color='black' color='white'>IV. Adresa trvalého pobytu alebo sídla</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Ulica</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast4/cast4Ulica'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>PSČ</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast4/cast4Psc'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Obec</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast4/cast4Obec'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt'>Štát</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:if test="/dokument/cast4/cast4Stat[text()='AD']">Andorra</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AE']">Spojené arabské emiráty</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AF']">Afganistan</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AG']">Antigua and Barbuda</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AI']">Anguilla</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AL']">Albánsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AM']">Arménsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AN']">Holandské Antily</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AO']">Angola</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AQ']">Antarktída</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AR']">Argentína</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AS']">Americká Samoa</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AT']">Rakúsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AU']">Austrália</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AW']">Aruba</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AX']">Alandy</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='AZ']">Azerbajdžán</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BA']">Bosna a Hercegovina</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BB']">Barbados</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BD']">Bangladéš</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BE']">Belgicko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BF']">Burkina Faso</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BG']">Bulharsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BH']">Bahrajn</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BI']">Burundi</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BJ']">Benin</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BL']">Svätý Bartolomej</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BM']">Bermuda</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BN']">Brunei Darussalam</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BO']">Bolívia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BQ']">Bonaire,Sv.Eust</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BR']">Brazília</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BS']">Bahamy</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BT']">Bhutan</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BV']">Ostrovy Bouvet</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BW']">Botswana</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BY']">Bielorusko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='BZ']">Belize</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CA']">Kanada</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CC']">Kokos.ostrovy</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CD']">Konžská demokratická republika</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CF']">Stredoafrická republika</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CG']">Kongo</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CH']">Švajčiarsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CI']">Pobrežie Slonoviny</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CK']">Cookove ostrovy</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CL']">Chile</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CM']">Kamerun</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CN']">Čína</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CO']">Kolumbia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CR']">Kostarika</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CS']">Srbsko a Čierna Hora</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CU']">Kuba</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CV']">Kapverdy</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CW']">Curaçao</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CX']">Vianoč.ostrovy</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CY']">Cyprus</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='CZ']">Česká republika</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='DE']">Nemecko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='DJ']">Džibuti</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='DK']">Dánsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='DM']">Dominica</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='DO']">Dominikánska republika</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='DZ']">Alžírsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='EC']">Ekvádor</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='EE']">Estónsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='EG']">Egypt</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='EH']">Západná Sahara</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='ER']">Eritrejský štát</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='ES']">Španielsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='ET']">Etiópia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='FI']">Fínsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='FJ']">Fidži</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='FK']">Falklandské ostrovy</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='FM']">Mikronézia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='FO']">Faerské ostr.</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='FR']">Francúzsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='FX']">Metropolitné Fr</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GA']">Gabon</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GB']">Spojené kráľovstvo</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GD']">Grenada</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GE']">Gruzínsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GF']">Francúzska Guayana</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GG']">Guernsey</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GH']">Ghana</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GI']">Gibraltar</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GL']">Grónsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GM']">Gambia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GN']">Guinea</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GP']">Guadeloupe</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GQ']">Rovníková Guinea</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GR']">Grécko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GS']">Južná Georgia a južné ostrovy Sandwich</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GT']">Guatemala</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GU']">Guam</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GW']">Guinea-Bissau</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='GY']">Guyana</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='HK']">Hongkong</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='HM']">Ostrovy Heard a McDonald</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='HN']">Honduras</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='HR']">Chorvátsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='HT']">Haiti</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='HU']">Maďarsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='ID']">Indonézia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='IE']">Írsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='IL']">Izrael</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='IM']">Ostrov Man</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='IN']">India</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='IO']">Britská oblasť v Indickom oceáne</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='IQ']">Irak</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='IR']">Irán</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='IS']">Island</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='IT']">Taliansko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='JE']">Jersey</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='JM']">Jamajka</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='JO']">Jordánsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='JP']">Japonsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='KE']">Keňa</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='KG']">Kirgistan</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='KH']">Kambodža</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='KI']">Kiribati</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='KM']">Komory</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='KN']">St. Kitts und Nevis</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='KP']">Severná Kórea</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='KR']">Južná Kórea</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='KW']">Kuvajt</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='KY']">Kajmanské ostr.</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='KZ']">Kazachstan</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='LA']">Laos</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='LB']">Libanon</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='LC']">St. Lucia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='LI']">Lichtenštajnsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='LK']">Srí Lanka</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='LR']">Libéria</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='LS']">Lesotho</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='LT']">Litva</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='LU']">Luxembursko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='LV']">Lotyšsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='LY']">Lýbia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MA']">Maroko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MC']">Monako</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MD']">Moldavsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='ME']">Čierna Hora</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MG']">Madagaskar</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MH']">Marshall.ostr.</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MK']">Macedónsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='ML']">Mali</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MM']">Mjanmar</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MN']">Mongolsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MO']">Macau</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MP']">Severné Mariany</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MQ']">Martinique</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MR']">Mauretánia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MS']">Montserrat</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MT']">Malta</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MU']">Maurícius</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MV']">Maledivy</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MW']">Malawi</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MX']">Mexiko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MY']">Malajzia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='MZ']">Mozambik</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='NA']">Namíbia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='NC']">Nová Kaledónia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='NE']">Niger</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='NF']">Norfolkské ostrovy</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='NG']">Nigéria</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='NI']">Nikaragua</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='NL']">Holandsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='NO']">Nórsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='NP']">Nepál</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='NR']">Naurčina</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='NU']">Ostrovy Niue</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='NZ']">Nový Zéland</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='OM']">Omán</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='PA']">Panama</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='PE']">Peru</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='PF']">Francúzska Polynézia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='PG']">Nezávislý štát Papua-Nová Guinea</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='PH']">Filipíny</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='PK']">Pakistan</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='PL']">Poľsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='PM']">St. Pierre and Miquelon</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='PN']">Ostrovy Pitcairn</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='PR']">Portoriko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='PS']">Palestínsky štát</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='PT']">Portugalsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='PW']">Palau</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='PY']">Paraguay</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='QA']">Katar</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='RE']">Reunion</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='RO']">Rumunsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='RS']">Srbsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='RU']">Ruská federácia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='RW']">Ruanda</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SA']">Saudská Arábia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SB']">Šalamúnske ost.</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SC']">Seychely</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SD']">Sudán</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SE']">Švédsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SG']">Singapur</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SH']">Sv. Helena</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SI']">Slovinsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SJ']">Svalbard</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SK']">Slovensko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SL']">Sierra Leone</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SM']">San Marino</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SN']">Senegal</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SO']">Somálska federatívna republika</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SR']">Surinam</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SS']">Južný Sudán</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='ST']">Sv.Tomáš a Princov ostrov</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SV']">El Salvador</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SX']">Svätý Martin</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SY']">Sýria</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='SZ']">Svazijsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TC']">Ostrovy Turks a Caicos</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TD']">Čad</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TF']">Francúzske južné územia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TG']">Togo</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TH']">Thajsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TJ']">Tadžikistan</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TK']">Ostrovy Tokelau</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TL']">Východný Timor</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TM']">Turkménsko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TN']">Tunisko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TO']">Tonga</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TP']">Ost Timor</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TR']">Turecko</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TT']">Trinidad und Tobago</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TV']">Tuvaluština</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TW']">Taiwan</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='TZ']">Tanzánia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='UA']">Ukrajina</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='UG']">Uganda</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='UM']">Ostrovy Amerikanisch Minor Outlying</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='US']">USA</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='UY']">Uruguay</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='UZ']">Uzbekistan</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='VA']">Vatikán</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='VC']">St. Vincent a Grenadiny</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='VE']">Venezuela</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='VG']">Britské Panenské ostrovy</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='VI']">American Virgin Islands</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='VN']">Vietnam</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='VU']">Vanuatu</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='WF']">Wallis a Futuna</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='WS']">Západná Samoa</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='XE']">Nešpecifikované</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='XF']">Oblasti inde nešpecifikované</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='YE']">Jemen</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='YT']">Mayotte</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='ZA']">Južná Afrika</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='ZM']">Zambia</xsl:if><xsl:if test="/dokument/cast4/cast4Stat[text()='ZW']">Zimbabwe</xsl:if><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./cast4Subcis">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Súpisné/orientačné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast4/cast4Subcis/cast4OrientacneC'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast4/cast4Subcis/cast4Lomitko'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/dokument/cast5">
    			<fo:block background-color='black' color='white'>V. Miesto podnikania na území Slovenskej republiky (ak nie je totožné s trvalým pobytom)</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Názov a umiestnenie</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast5/cast5Nazov'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Ulica</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast5/cast5Ulica'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>PSČ</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast5/cast5Psc'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Obec</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast5/cast5Obec'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./secMiestoPodnikaniaPrevadzkaren">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>miesta podnikania</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast5/secMiestoPodnikaniaPrevadzkaren/cast5Miesto[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell><fo:table-cell><fo:block>stálej prevádzkarne</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast5/secMiestoPodnikaniaPrevadzkaren/cast5Prevadzkaren[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell><fo:table-cell><fo:block>prevádzkarne</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast5/secMiestoPodnikaniaPrevadzkaren/cast5prevadzkarenSR[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell><fo:table-cell><fo:block>miesta skutočného vedenia</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast5/secMiestoPodnikaniaPrevadzkaren/cast5vedenia[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./cast5Subcis">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Súpisné/orientačné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast5/cast5Subcis/cast5OrientacneC'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast5/cast5Subcis/cast5Lomitko'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/dokument/cast6">
    			<fo:block background-color='black' color='white'>VI. Organizačná zložka podľa Obchodného zákonníka (výpĺňa sa, ak ide o zahraničnú osobu)</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Názov a umiestnenie organizačnej zložky</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast6/cast6Nazov'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Ulica</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast6/cast6Ulica'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>PSČ</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast6/cast6Psc'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Obec</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast6/cast6Obec'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./cast6ICOZlozky">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>IČO organizačnej zložky (vrátane poradového čísla)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast6/cast6ICOZlozky/cast6ICO'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast6/cast6ICOZlozky/cast6PoradoveC'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./cast6Subcis">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Súpisné/orientačné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast6/cast6Subcis/cast6OrientacneC'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast6/cast6Subcis/cast6Lomitko'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/dokument/cast7">
    			<fo:block background-color='black' color='white'>VII. Osoba oprávnená konať za daňový subjekt</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Titul uvádzaný pred menom</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast7/cast7TitulPred'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Meno</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast7/cast7Meno'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Priezvisko</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast7/cast7Priezvisko'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Titul uvádzaný za menom</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast7/cast7TitulZa'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>IČO</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast7/cast7Ico'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Dátum narodenia ak ide o fyzickú osobus bydliskom mimo územia SR</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast7/cast7DatumNar'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Číslo telefónu</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast7/cast7Telefon'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Ulica</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast7/cast7Ulica'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>PSČ</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast7/cast7psc'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Obec</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast7/cast7Obec'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt'>Štát</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:if test="/dokument/cast7/cast7stat[text()='AD']">Andorra</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AE']">Spojené arabské emiráty</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AF']">Afganistan</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AG']">Antigua and Barbuda</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AI']">Anguilla</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AL']">Albánsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AM']">Arménsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AN']">Holandské Antily</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AO']">Angola</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AQ']">Antarktída</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AR']">Argentína</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AS']">Americká Samoa</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AT']">Rakúsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AU']">Austrália</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AW']">Aruba</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AX']">Alandy</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='AZ']">Azerbajdžán</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BA']">Bosna a Hercegovina</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BB']">Barbados</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BD']">Bangladéš</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BE']">Belgicko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BF']">Burkina Faso</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BG']">Bulharsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BH']">Bahrajn</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BI']">Burundi</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BJ']">Benin</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BL']">Svätý Bartolomej</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BM']">Bermuda</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BN']">Brunei Darussalam</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BO']">Bolívia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BQ']">Bonaire,Sv.Eust</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BR']">Brazília</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BS']">Bahamy</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BT']">Bhutan</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BV']">Ostrovy Bouvet</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BW']">Botswana</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BY']">Bielorusko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='BZ']">Belize</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CA']">Kanada</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CC']">Kokos.ostrovy</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CD']">Konžská demokratická republika</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CF']">Stredoafrická republika</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CG']">Kongo</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CH']">Švajčiarsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CI']">Pobrežie Slonoviny</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CK']">Cookove ostrovy</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CL']">Chile</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CM']">Kamerun</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CN']">Čína</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CO']">Kolumbia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CR']">Kostarika</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CS']">Srbsko a Čierna Hora</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CU']">Kuba</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CV']">Kapverdy</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CW']">Curaçao</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CX']">Vianoč.ostrovy</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CY']">Cyprus</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='CZ']">Česká republika</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='DE']">Nemecko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='DJ']">Džibuti</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='DK']">Dánsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='DM']">Dominica</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='DO']">Dominikánska republika</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='DZ']">Alžírsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='EC']">Ekvádor</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='EE']">Estónsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='EG']">Egypt</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='EH']">Západná Sahara</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='ER']">Eritrejský štát</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='ES']">Španielsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='ET']">Etiópia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='FI']">Fínsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='FJ']">Fidži</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='FK']">Falklandské ostrovy</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='FM']">Mikronézia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='FO']">Faerské ostr.</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='FR']">Francúzsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='FX']">Metropolitné Fr</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GA']">Gabon</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GB']">Spojené kráľovstvo</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GD']">Grenada</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GE']">Gruzínsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GF']">Francúzska Guayana</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GG']">Guernsey</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GH']">Ghana</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GI']">Gibraltar</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GL']">Grónsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GM']">Gambia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GN']">Guinea</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GP']">Guadeloupe</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GQ']">Rovníková Guinea</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GR']">Grécko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GS']">Južná Georgia a južné ostrovy Sandwich</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GT']">Guatemala</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GU']">Guam</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GW']">Guinea-Bissau</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='GY']">Guyana</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='HK']">Hongkong</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='HM']">Ostrovy Heard a McDonald</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='HN']">Honduras</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='HR']">Chorvátsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='HT']">Haiti</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='HU']">Maďarsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='ID']">Indonézia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='IE']">Írsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='IL']">Izrael</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='IM']">Ostrov Man</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='IN']">India</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='IO']">Britská oblasť v Indickom oceáne</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='IQ']">Irak</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='IR']">Irán</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='IS']">Island</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='IT']">Taliansko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='JE']">Jersey</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='JM']">Jamajka</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='JO']">Jordánsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='JP']">Japonsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='KE']">Keňa</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='KG']">Kirgistan</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='KH']">Kambodža</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='KI']">Kiribati</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='KM']">Komory</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='KN']">St. Kitts und Nevis</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='KP']">Severná Kórea</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='KR']">Južná Kórea</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='KW']">Kuvajt</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='KY']">Kajmanské ostr.</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='KZ']">Kazachstan</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='LA']">Laos</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='LB']">Libanon</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='LC']">St. Lucia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='LI']">Lichtenštajnsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='LK']">Srí Lanka</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='LR']">Libéria</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='LS']">Lesotho</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='LT']">Litva</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='LU']">Luxembursko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='LV']">Lotyšsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='LY']">Lýbia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MA']">Maroko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MC']">Monako</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MD']">Moldavsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='ME']">Čierna Hora</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MG']">Madagaskar</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MH']">Marshall.ostr.</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MK']">Macedónsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='ML']">Mali</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MM']">Mjanmar</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MN']">Mongolsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MO']">Macau</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MP']">Severné Mariany</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MQ']">Martinique</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MR']">Mauretánia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MS']">Montserrat</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MT']">Malta</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MU']">Maurícius</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MV']">Maledivy</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MW']">Malawi</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MX']">Mexiko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MY']">Malajzia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='MZ']">Mozambik</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='NA']">Namíbia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='NC']">Nová Kaledónia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='NE']">Niger</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='NF']">Norfolkské ostrovy</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='NG']">Nigéria</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='NI']">Nikaragua</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='NL']">Holandsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='NO']">Nórsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='NP']">Nepál</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='NR']">Naurčina</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='NU']">Ostrovy Niue</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='NZ']">Nový Zéland</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='OM']">Omán</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='PA']">Panama</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='PE']">Peru</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='PF']">Francúzska Polynézia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='PG']">Nezávislý štát Papua-Nová Guinea</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='PH']">Filipíny</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='PK']">Pakistan</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='PL']">Poľsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='PM']">St. Pierre and Miquelon</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='PN']">Ostrovy Pitcairn</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='PR']">Portoriko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='PS']">Palestínsky štát</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='PT']">Portugalsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='PW']">Palau</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='PY']">Paraguay</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='QA']">Katar</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='RE']">Reunion</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='RO']">Rumunsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='RS']">Srbsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='RU']">Ruská federácia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='RW']">Ruanda</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SA']">Saudská Arábia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SB']">Šalamúnske ost.</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SC']">Seychely</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SD']">Sudán</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SE']">Švédsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SG']">Singapur</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SH']">Sv. Helena</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SI']">Slovinsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SJ']">Svalbard</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SK']">Slovensko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SL']">Sierra Leone</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SM']">San Marino</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SN']">Senegal</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SO']">Somálska federatívna republika</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SR']">Surinam</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SS']">Južný Sudán</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='ST']">Sv.Tomáš a Princov ostrov</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SV']">El Salvador</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SX']">Svätý Martin</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SY']">Sýria</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='SZ']">Svazijsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TC']">Ostrovy Turks a Caicos</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TD']">Čad</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TF']">Francúzske južné územia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TG']">Togo</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TH']">Thajsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TJ']">Tadžikistan</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TK']">Ostrovy Tokelau</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TL']">Východný Timor</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TM']">Turkménsko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TN']">Tunisko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TO']">Tonga</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TP']">Ost Timor</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TR']">Turecko</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TT']">Trinidad und Tobago</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TV']">Tuvaluština</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TW']">Taiwan</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='TZ']">Tanzánia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='UA']">Ukrajina</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='UG']">Uganda</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='UM']">Ostrovy Amerikanisch Minor Outlying</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='US']">USA</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='UY']">Uruguay</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='UZ']">Uzbekistan</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='VA']">Vatikán</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='VC']">St. Vincent a Grenadiny</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='VE']">Venezuela</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='VG']">Britské Panenské ostrovy</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='VI']">American Virgin Islands</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='VN']">Vietnam</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='VU']">Vanuatu</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='WF']">Wallis a Futuna</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='WS']">Západná Samoa</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='XE']">Nešpecifikované</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='XF']">Oblasti inde nešpecifikované</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='YE']">Jemen</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='YT']">Mayotte</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='ZA']">Južná Afrika</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='ZM']">Zambia</xsl:if><xsl:if test="/dokument/cast7/cast7stat[text()='ZW']">Zimbabwe</xsl:if><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./cas7RC">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Rodné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast7/cas7RC/cast7RodneCislo1'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast7/cas7RC/cast7RodneCislo2'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secOprOsobaAdresaCislo">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Súpisné/orientačné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast7/secOprOsobaAdresaCislo/cast7SupisneC'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast7/secOprOsobaAdresaCislo/cast7OrientacneC'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/dokument/cast8">
    			<fo:block background-color='black' color='white'>VIII. Adresa na doručovanie na území členského štátu 3)</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Ulica</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast8/cast8Ulica'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>PSČ</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast8/cast8Psc'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Obec</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast8/cast8Obec'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt'>Štát</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:if test="/dokument/cast8/cast8Stat[text()='BE']">Belgicko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='BG']">Bulharsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='CY']">Cyprus</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='CZ']">Česká republika</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='DK']">Dánsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='EE']">Estónsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='FI']">Fínsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='FR']">Francúzsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='GR']">Grécko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='NL']">Holandsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='HR']">Chorvátsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='IE']">Írsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='LT']">Litva</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='LV']">Lotyšsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='LU']">Luxembursko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='HU']">Maďarsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='MT']">Malta</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='DE']">Nemecko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='PL']">Poľsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='PT']">Portugalsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='AT']">Rakúsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='RO']">Rumunsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='SK']">Slovensko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='SI']">Slovinsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='GB']">Spojené kráľovstvo</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='ES']">Španielsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='SE']">Švédsko</xsl:if><xsl:if test="/dokument/cast8/cast8Stat[text()='IT']">Taliansko</xsl:if><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./cast8Subcis">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Súpisné/orientačné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast8/cast8Subcis/cast8OrientacneC'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast8/cast8Subcis/cast8Lomitko'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/dokument/cast9">
    			<fo:block background-color='black' color='white'>IX. Splnomocnenec na doručovanie v tuzemsku 4)</fo:block><fo:block color='white'>|</fo:block>
						<xsl:for-each select="./cast9FO">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Splnomocnenec – fyzická osoba</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast9/cast9FO/cast9rbFO[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>DIČ (ak bolo pridelené)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9/cast9FO/cast9DICFO'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Meno</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9/cast9FO/cast9Meno'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Priezvisko</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9/cast9FO/cast9Priezvisko'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./cas9RC">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Rodné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9/cast9FO/cas9RC/cast9RodneCislo1'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9/cast9FO/cas9RC/cast9RodneCislo2'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./cast9PO">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Splnomocnenec – právnická osoba</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/cast9/cast9PO/cast9rbPO[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>DIČ (ak bolo pridelené)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9/cast9PO/cast9DICPO'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>IČO</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9/cast9PO/cast9ICO'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Obchodné meno alebo názov</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9/cast9PO/cast9Nazov'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./cast9Udaje">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Ulica</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9/cast9Udaje/cast9Ulica'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>PSČ</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9/cast9Udaje/cast9Psc'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Obec</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9/cast9Udaje/cast9Obec'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./cast9Subcis">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Súpisné/orientačné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9/cast9Udaje/cast9Subcis/cast9OrientacneC'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9/cast9Udaje/cast9Subcis/cast9Lomitko'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/dokument/cast9Prilohy">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Počet príloh (uvádza sa v závislosti od príslušnej dane, ku ktorej sa žiadosť vzťahuje)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9Prilohy/cast9PocetPriloh'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Dátum</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/cast9Prilohy/cast9Datum'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>Vyhlasujem, že všetky uvedené údaje sú správne a úplné a že som si vedomý dôsledkov spojených s ich uvedením.</fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<xsl:for-each select="/dokument/cast10">
    			<fo:block background-color='black' color='white'>X. Poznámky</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt'>X. Poznámky</fo:block></fo:table-cell></fo:table-row>
                                        <fo:table-row height='100px'><fo:table-cell border-width='0.1mm' border-style='solid' background-color='white'><fo:block padding-left='1pt' hyphenate='true'><xsl:value-of select='/dokument/cast10/cast10Poznamky'/></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<xsl:for-each select="/dokument/secVysvetlivky">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>1)</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>Pri označení tejto možnosti sa v časti II. až IX. uvádzajú údaje zástupcu skupiny. Údaje o členoch skupiny sa uvádzajú v prílohe k žiadosti.</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>2)</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>Organizačná jednotka združenia, ktorá koná vo vlastnom mene, sa považuje za právnickú osobu [§ 4 ods. 2 písm. c) zákona č.563/2009 Z.z. v znení neskorších predpisov].</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>3)</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>§ 30 ods. 5 daňového poriadku.</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>4)</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>§ 9 ods. 11 daňového poriadku, potrebné doložiť plnomocenstvo.</fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<xsl:for-each select="/dokument/priloha1">
    			<fo:block background-color='black' color='white'>PRÍLOHA 1 - DAŇ Z PRIDANEJ HODNOTY</fo:block><fo:block color='white'>|</fo:block>
						<xsl:for-each select="./zakon41">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Registrácia za platiteľa dane z pridanej hodnoty podľa § 4 ods. 1 zákona zákona č. 222/2004 Z. z. o dani z pridanej hodnoty v znení neskorších predpisov (ďalej len &#34;zákon o dani z pridanej hodnoty&#34;)</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/priloha1/zakon41/zakon41check2[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./zakon41obratSekcia">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Obrat za posledných 12 predchádzajúcich po sebeidúcich kalendárnych mesiacov (v eurách)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/priloha1/zakon41/zakon41obratSekcia/zakon41Obrat'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./zakon41MR">
    			
						<xsl:for-each select="./secMesiacRok">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:if test="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41mesiac[text()='1']">Január</xsl:if><xsl:if test="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41mesiac[text()='2']">Február</xsl:if><xsl:if test="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41mesiac[text()='3']">Marec</xsl:if><xsl:if test="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41mesiac[text()='4']">Apríl</xsl:if><xsl:if test="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41mesiac[text()='5']">Máj</xsl:if><xsl:if test="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41mesiac[text()='6']">Jún</xsl:if><xsl:if test="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41mesiac[text()='7']">Júl</xsl:if><xsl:if test="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41mesiac[text()='8']">August</xsl:if><xsl:if test="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41mesiac[text()='9']">September</xsl:if><xsl:if test="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41mesiac[text()='10']">Október</xsl:if><xsl:if test="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41mesiac[text()='11']">November</xsl:if><xsl:if test="/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41mesiac[text()='12']">December</xsl:if><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/priloha1/zakon41/zakon41MR/secMesiacRok/zakon41rok'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./zakon42">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Registrácia za platiteľa dane z pridanej hodnoty podľa § 4 ods. 2 zákona o dani z pridanej hodnoty</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/priloha1/zakon42/zakon42check[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./zakon42Dat">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Dátum nadobudnutia majetku dedičstvom (vypĺňa sa,ak ide o žiadosť o registráciu po skončení konaniao dedičstve podľa § 83 zákona o dani z pridanej hodnoty)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/priloha1/zakon42/zakon42Dat/zakon42Datum'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./zakon44">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Registrácia za platiteľa dane z pridanej hodnoty podľa § 4 ods. 4 zákona o dani z pridanej hodnoty</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/priloha1/zakon44/zakon44check[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>Registrácia za platiteľa dane z pridanej hodnoty podľa § 4 zákona o dani z pridanej hodnoty z dôvodu registrácie podľa § 48c ods. 5 zákona o dani z pridanej hodnoty</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/priloha1/zakon44/zakon45check[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./zakon44Dat">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Dátum nadobudnutia podniku alebo jeho časti, alebo dodania stavby alebo prijatia platby pred jej dodaním</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/priloha1/zakon44/zakon44Dat/zakon44Datum'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./zakon44Dat2">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Dátum, kedy sa zdaniteľná osoba stala právnym nástupcom platiteľa, ktorý zanikol bez likvidácie</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/priloha1/zakon44/zakon44Dat2/zakon44Datum2'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./zakon44Dat3">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Dátum dodania tovaru s miestom dodania v tuzemsku podľa§ 8 ods. 7 prvej vety zákona o dani z pridanej hodnoty</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/priloha1/zakon44/zakon44Dat3/zakon44Datum3'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./zakon5">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Registrácia za platiteľa dane z pridanej hodnoty podľa § 5 zákona o dani z pridanej hodnoty</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/priloha1/zakon5/zakon5check[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>Registrácia za platiteľa dane z pridanej hodnoty podľa § 5 zákona o dani z pridanej hodnoty z dôvodu registrácie podľa § 48c ods. 5 zákona o dani z pridanej hodnoty</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/priloha1/zakon5/zakon5check2[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./zakon6144">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Zmena registrácie platiteľa dane z pridanej hodnoty podľa § 6a ods. 1 zákona o dani z pridanej hodnoty</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/priloha1/zakon6144/zakon6144check[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>Deň, keď osoba registrovaná podľa § 5 zákona o dani z pridanej hodnoty prestala spĺňať status zahraničnej osoby</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/priloha1/zakon6144/zakon6144Datum'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./zakon6144reg">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>z registrácie podľa § 5 zákona o dani z pridanej hodnoty na registráciupodľa § 4 zákona o dani z pridanej hodnoty</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/priloha1/zakon6144/zakon6144reg/zakon61445[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./zakon6256">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Zmena registrácie platiteľa dane z pridanej hodnoty podľa § 6a ods. 2 zákona o dani z pridanej hodnoty</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/priloha1/zakon6256/zakon6256check[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>Deň, keď zahraničná osoba registrovaná podľa § 4 zákona o dani z pridanej hodnoty prestala mať v tuzemsku sídlo, miesto podnikania, prevádzkareň, bydlisko alebo miesto, kde sa obvykle zdržiava</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/priloha1/zakon6256/zakon6256Datum'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./zakon6256reg">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>z registrácie podľa § 4 zákona o dani z pridanej hodnoty naregistráciu podľa § 5 zákona o dani z pridanej hodnoty</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/priloha1/zakon6256/zakon6256reg/zakon62565[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./zakon71">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Registrácia pred nadobudnutím tovaru v tuzemsku z iného členského štátu podľa § 7 ods. 1 zákona o dani z pridanej hodnoty</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/priloha1/zakon71/zakon71check[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./zakon71HodnotaSekcia">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Celková hodnota tovaru bez dane nadobudnutého z iných členských štátov v kalendárnom roku (v eurách)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/dokument/priloha1/zakon71/zakon71HodnotaSekcia/zakon71Hodnota'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./zakon72">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Registrácia pred nadobudnutím tovaru v tuzemsku z iného členského štátu podľa § 7 ods. 2 zákona o dani z pridanej hodnoty</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/priloha1/zakon72/zakon72check[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./zakon7">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Registrácia pred prijatím služby z iného členského štátu alebo pred dodaním služby do iného členského štátu podľa § 7a zákona  o dani z pridanej hodnoty</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/dokument/priloha1/zakon7/zakon7check[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/dokument/priloha2">
    			<fo:block background-color='black' color='white'>PRÍLOHA 2 - DAŇ Z PRIDANEJ HODNOTY (člen skupiny)</fo:block><fo:block color='white'>|</fo:block>
						<xsl:for-each select="./pr2Registracia">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Registrácia člena skupiny</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="./pr2Registracia/pr2RegClena[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>Zmena registrácie skupiny z dôvodu</fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./pr2Zmena">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>pristúpenia nového člena</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="./pr2Zmena/pr2RegPristupNove[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>vystúpenia člena</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="./pr2Zmena/pr2RegVystup[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>zániku člena bez likvidácie</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="./pr2Zmena/pr2RegZanik[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>pristúpenie právneho nástupcu zaniknutého člena skupiny</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="./pr2Zmena/pr2RegPristupNastup[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./pr2ClenSec">
    			<fo:block background-color='black' color='white'>I. Člen skupiny</fo:block><fo:block color='white'>|</fo:block>
						<xsl:for-each select="./pr2ClenICOSeckia">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>IČ pre DPH (ak bolo pridelené) alebo DIČ</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./pr2ClenICOSeckia/pr2ClenIC'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./pr2ClenICOSeckia/pr2ClenDIC'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secpr2ClenICO">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>IČO</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2ClenICO/pr2ClenICO'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secpr2ClenRC">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Rodné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2ClenRC/pr2ClenRC1'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2ClenRC/pr2ClenRC2'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secpr2ClenObchMeno">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt'>Obchodné meno alebo názov právnickej osoby alebo meno a priezvisko fyzickej osoby</fo:block></fo:table-cell></fo:table-row>
                                        <fo:table-row height='100px'><fo:table-cell border-width='0.1mm' border-style='solid' background-color='white'><fo:block padding-left='1pt' hyphenate='true'><xsl:value-of select='./secpr2ClenObchMeno/pr2ClenObchMeno'/></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./pr2Sidlo">
    			<fo:block background-color='black' color='white'>II. Sídlo (právnická osoba), miesto trvalého pobytu (fyzická osoba)</fo:block><fo:block color='white'>|</fo:block>
						<xsl:for-each select="./secpr2SidloUlica">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Ulica</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2SidloUlica/pr2SidloUlica'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./pr2SidloUlicaCislo">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Súpisné/orientačné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./pr2SidloUlicaCislo/pr2SidloCislo'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./pr2SidloUlicaCislo/pr2SidloOrient'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secpr2SidloPsc">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>PSČ</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2SidloPsc/pr2SidloPsc'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secpr2SidloObec">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Obec</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2SidloObec/pr2SidloObec'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secpr2SidloStat">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt'>Štát</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AD']">Andorra</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AE']">Spojené arabské emiráty</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AF']">Afganistan</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AG']">Antigua and Barbuda</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AI']">Anguilla</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AL']">Albánsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AM']">Arménsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AN']">Holandské Antily</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AO']">Angola</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AQ']">Antarktída</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AR']">Argentína</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AS']">Americká Samoa</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AT']">Rakúsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AU']">Austrália</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AW']">Aruba</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AX']">Alandy</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='AZ']">Azerbajdžán</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BA']">Bosna a Hercegovina</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BB']">Barbados</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BD']">Bangladéš</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BE']">Belgicko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BF']">Burkina Faso</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BG']">Bulharsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BH']">Bahrajn</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BI']">Burundi</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BJ']">Benin</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BL']">Svätý Bartolomej</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BM']">Bermuda</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BN']">Brunei Darussalam</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BO']">Bolívia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BQ']">Bonaire,Sv.Eust</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BR']">Brazília</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BS']">Bahamy</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BT']">Bhutan</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BV']">Ostrovy Bouvet</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BW']">Botswana</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BY']">Bielorusko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='BZ']">Belize</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CA']">Kanada</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CC']">Kokos.ostrovy</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CD']">Konžská demokratická republika</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CF']">Stredoafrická republika</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CG']">Kongo</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CH']">Švajčiarsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CI']">Pobrežie Slonoviny</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CK']">Cookove ostrovy</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CL']">Chile</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CM']">Kamerun</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CN']">Čína</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CO']">Kolumbia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CR']">Kostarika</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CS']">Srbsko a Čierna Hora</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CU']">Kuba</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CV']">Kapverdy</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CW']">Curaçao</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CX']">Vianoč.ostrovy</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CY']">Cyprus</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='CZ']">Česká republika</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='DE']">Nemecko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='DJ']">Džibuti</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='DK']">Dánsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='DM']">Dominica</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='DO']">Dominikánska republika</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='DZ']">Alžírsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='EC']">Ekvádor</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='EE']">Estónsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='EG']">Egypt</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='EH']">Západná Sahara</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='ER']">Eritrejský štát</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='ES']">Španielsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='ET']">Etiópia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='FI']">Fínsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='FJ']">Fidži</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='FK']">Falklandské ostrovy</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='FM']">Mikronézia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='FO']">Faerské ostr.</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='FR']">Francúzsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='FX']">Metropolitné Fr</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GA']">Gabon</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GB']">Spojené kráľovstvo</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GD']">Grenada</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GE']">Gruzínsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GF']">Francúzska Guayana</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GG']">Guernsey</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GH']">Ghana</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GI']">Gibraltar</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GL']">Grónsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GM']">Gambia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GN']">Guinea</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GP']">Guadeloupe</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GQ']">Rovníková Guinea</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GR']">Grécko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GS']">Južná Georgia a južné ostrovy Sandwich</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GT']">Guatemala</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GU']">Guam</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GW']">Guinea-Bissau</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='GY']">Guyana</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='HK']">Hongkong</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='HM']">Ostrovy Heard a McDonald</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='HN']">Honduras</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='HR']">Chorvátsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='HT']">Haiti</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='HU']">Maďarsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='ID']">Indonézia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='IE']">Írsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='IL']">Izrael</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='IM']">Ostrov Man</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='IN']">India</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='IO']">Britská oblasť v Indickom oceáne</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='IQ']">Irak</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='IR']">Irán</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='IS']">Island</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='IT']">Taliansko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='JE']">Jersey</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='JM']">Jamajka</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='JO']">Jordánsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='JP']">Japonsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='KE']">Keňa</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='KG']">Kirgistan</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='KH']">Kambodža</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='KI']">Kiribati</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='KM']">Komory</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='KN']">St. Kitts und Nevis</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='KP']">Severná Kórea</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='KR']">Južná Kórea</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='KW']">Kuvajt</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='KY']">Kajmanské ostr.</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='KZ']">Kazachstan</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='LA']">Laos</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='LB']">Libanon</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='LC']">St. Lucia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='LI']">Lichtenštajnsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='LK']">Srí Lanka</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='LR']">Libéria</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='LS']">Lesotho</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='LT']">Litva</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='LU']">Luxembursko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='LV']">Lotyšsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='LY']">Lýbia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MA']">Maroko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MC']">Monako</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MD']">Moldavsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='ME']">Čierna Hora</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MG']">Madagaskar</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MH']">Marshall.ostr.</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MK']">Macedónsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='ML']">Mali</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MM']">Mjanmar</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MN']">Mongolsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MO']">Macau</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MP']">Severné Mariany</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MQ']">Martinique</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MR']">Mauretánia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MS']">Montserrat</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MT']">Malta</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MU']">Maurícius</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MV']">Maledivy</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MW']">Malawi</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MX']">Mexiko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MY']">Malajzia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='MZ']">Mozambik</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='NA']">Namíbia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='NC']">Nová Kaledónia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='NE']">Niger</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='NF']">Norfolkské ostrovy</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='NG']">Nigéria</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='NI']">Nikaragua</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='NL']">Holandsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='NO']">Nórsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='NP']">Nepál</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='NR']">Naurčina</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='NU']">Ostrovy Niue</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='NZ']">Nový Zéland</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='OM']">Omán</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='PA']">Panama</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='PE']">Peru</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='PF']">Francúzska Polynézia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='PG']">Nezávislý štát Papua-Nová Guinea</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='PH']">Filipíny</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='PK']">Pakistan</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='PL']">Poľsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='PM']">St. Pierre and Miquelon</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='PN']">Ostrovy Pitcairn</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='PR']">Portoriko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='PS']">Palestínsky štát</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='PT']">Portugalsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='PW']">Palau</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='PY']">Paraguay</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='QA']">Katar</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='RE']">Reunion</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='RO']">Rumunsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='RS']">Srbsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='RU']">Ruská federácia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='RW']">Ruanda</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SA']">Saudská Arábia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SB']">Šalamúnske ost.</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SC']">Seychely</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SD']">Sudán</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SE']">Švédsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SG']">Singapur</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SH']">Sv. Helena</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SI']">Slovinsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SJ']">Svalbard</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SK']">Slovensko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SL']">Sierra Leone</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SM']">San Marino</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SN']">Senegal</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SO']">Somálska federatívna republika</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SR']">Surinam</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SS']">Južný Sudán</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='ST']">Sv.Tomáš a Princov ostrov</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SV']">El Salvador</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SX']">Svätý Martin</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SY']">Sýria</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='SZ']">Svazijsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TC']">Ostrovy Turks a Caicos</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TD']">Čad</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TF']">Francúzske južné územia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TG']">Togo</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TH']">Thajsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TJ']">Tadžikistan</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TK']">Ostrovy Tokelau</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TL']">Východný Timor</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TM']">Turkménsko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TN']">Tunisko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TO']">Tonga</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TP']">Ost Timor</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TR']">Turecko</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TT']">Trinidad und Tobago</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TV']">Tuvaluština</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TW']">Taiwan</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='TZ']">Tanzánia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='UA']">Ukrajina</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='UG']">Uganda</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='UM']">Ostrovy Amerikanisch Minor Outlying</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='US']">USA</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='UY']">Uruguay</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='UZ']">Uzbekistan</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='VA']">Vatikán</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='VC']">St. Vincent a Grenadiny</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='VE']">Venezuela</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='VG']">Britské Panenské ostrovy</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='VI']">American Virgin Islands</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='VN']">Vietnam</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='VU']">Vanuatu</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='WF']">Wallis a Futuna</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='WS']">Západná Samoa</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='XE']">Nešpecifikované</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='XF']">Oblasti inde nešpecifikované</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='YE']">Jemen</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='YT']">Mayotte</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='ZA']">Južná Afrika</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='ZM']">Zambia</xsl:if><xsl:if test="./secpr2SidloStat/pr2SidloStat[text()='ZW']">Zimbabwe</xsl:if><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secpr2SidloTel">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Číslo telefónu</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2SidloTel/pr2SidloTel'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./pr2Adresa">
    			<fo:block background-color='black' color='white'>III. Adresa miesta podnikania alebo prevádzkarne v tuzemsku (vypĺňa sa, ak ide o osobu so sídlom alebo trvalým pobytom v zahraničí)</fo:block><fo:block color='white'>|</fo:block>
						<xsl:for-each select="./secpr2AdresaUlica">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Ulica</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2AdresaUlica/pr2AdresaUlica'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./pr2AdresaUlicaCislo">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Súpisné/orientačné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./pr2AdresaUlicaCislo/pr2AdresaCislo'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./pr2AdresaUlicaCislo/pr2AdresaOrient'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secpr2AdresaPsc">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>PSČ</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2AdresaPsc/pr2AdresaPsc'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secpr2AdresaObec">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Obec</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2AdresaObec/pr2AdresaObec'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secpr2AdresaTel">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Číslo telefónu</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2AdresaTel/pr2AdresaTel'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./pr2Zastupca">
    			<fo:block background-color='black' color='white'>IV. Štatutárny zástupca</fo:block><fo:block color='white'>|</fo:block>
						<xsl:for-each select="./secSekcia1">
    			
						<xsl:for-each select="./secpr2AdresaMeno">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Meno</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2AdresaMeno/pr2AdresaMeno'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secpr2AdresaPriezvisko">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Priezvisko</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2AdresaPriezvisko/pr2AdresaPriezvisko'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./pr2ZastupcaRCDat">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Rodné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./pr2ZastupcaRCDat/pr2ZastupcaRC1'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./pr2ZastupcaRCDat/pr2ZastupcaRC2'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secpr2ZastupcaDat">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Dátum narodenia ak ide o fyzickú osobu s bydliskom mimo územia SR</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2ZastupcaDat/pr2ZastupcaDat'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./secSekcia2">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Ulica</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secSekcia2/pr2AdrStatutarUlica'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>PSČ</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secSekcia2/pr2AdrStatutarPSC'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Obec</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secSekcia2/pr2AdrStatutarObec'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt'>Štát</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AD']">Andorra</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AE']">Spojené arabské emiráty</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AF']">Afganistan</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AG']">Antigua and Barbuda</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AI']">Anguilla</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AL']">Albánsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AM']">Arménsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AN']">Holandské Antily</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AO']">Angola</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AQ']">Antarktída</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AR']">Argentína</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AS']">Americká Samoa</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AT']">Rakúsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AU']">Austrália</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AW']">Aruba</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AX']">Alandy</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='AZ']">Azerbajdžán</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BA']">Bosna a Hercegovina</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BB']">Barbados</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BD']">Bangladéš</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BE']">Belgicko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BF']">Burkina Faso</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BG']">Bulharsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BH']">Bahrajn</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BI']">Burundi</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BJ']">Benin</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BL']">Svätý Bartolomej</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BM']">Bermuda</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BN']">Brunei Darussalam</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BO']">Bolívia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BQ']">Bonaire,Sv.Eust</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BR']">Brazília</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BS']">Bahamy</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BT']">Bhutan</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BV']">Ostrovy Bouvet</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BW']">Botswana</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BY']">Bielorusko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='BZ']">Belize</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CA']">Kanada</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CC']">Kokos.ostrovy</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CD']">Konžská demokratická republika</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CF']">Stredoafrická republika</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CG']">Kongo</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CH']">Švajčiarsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CI']">Pobrežie Slonoviny</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CK']">Cookove ostrovy</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CL']">Chile</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CM']">Kamerun</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CN']">Čína</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CO']">Kolumbia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CR']">Kostarika</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CS']">Srbsko a Čierna Hora</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CU']">Kuba</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CV']">Kapverdy</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CW']">Curaçao</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CX']">Vianoč.ostrovy</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CY']">Cyprus</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='CZ']">Česká republika</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='DE']">Nemecko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='DJ']">Džibuti</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='DK']">Dánsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='DM']">Dominica</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='DO']">Dominikánska republika</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='DZ']">Alžírsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='EC']">Ekvádor</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='EE']">Estónsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='EG']">Egypt</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='EH']">Západná Sahara</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='ER']">Eritrejský štát</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='ES']">Španielsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='ET']">Etiópia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='FI']">Fínsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='FJ']">Fidži</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='FK']">Falklandské ostrovy</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='FM']">Mikronézia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='FO']">Faerské ostr.</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='FR']">Francúzsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='FX']">Metropolitné Fr</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GA']">Gabon</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GB']">Spojené kráľovstvo</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GD']">Grenada</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GE']">Gruzínsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GF']">Francúzska Guayana</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GG']">Guernsey</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GH']">Ghana</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GI']">Gibraltar</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GL']">Grónsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GM']">Gambia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GN']">Guinea</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GP']">Guadeloupe</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GQ']">Rovníková Guinea</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GR']">Grécko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GS']">Južná Georgia a južné ostrovy Sandwich</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GT']">Guatemala</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GU']">Guam</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GW']">Guinea-Bissau</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='GY']">Guyana</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='HK']">Hongkong</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='HM']">Ostrovy Heard a McDonald</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='HN']">Honduras</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='HR']">Chorvátsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='HT']">Haiti</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='HU']">Maďarsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='ID']">Indonézia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='IE']">Írsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='IL']">Izrael</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='IM']">Ostrov Man</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='IN']">India</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='IO']">Britská oblasť v Indickom oceáne</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='IQ']">Irak</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='IR']">Irán</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='IS']">Island</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='IT']">Taliansko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='JE']">Jersey</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='JM']">Jamajka</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='JO']">Jordánsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='JP']">Japonsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='KE']">Keňa</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='KG']">Kirgistan</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='KH']">Kambodža</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='KI']">Kiribati</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='KM']">Komory</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='KN']">St. Kitts und Nevis</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='KP']">Severná Kórea</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='KR']">Južná Kórea</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='KW']">Kuvajt</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='KY']">Kajmanské ostr.</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='KZ']">Kazachstan</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='LA']">Laos</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='LB']">Libanon</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='LC']">St. Lucia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='LI']">Lichtenštajnsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='LK']">Srí Lanka</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='LR']">Libéria</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='LS']">Lesotho</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='LT']">Litva</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='LU']">Luxembursko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='LV']">Lotyšsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='LY']">Lýbia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MA']">Maroko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MC']">Monako</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MD']">Moldavsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='ME']">Čierna Hora</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MG']">Madagaskar</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MH']">Marshall.ostr.</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MK']">Macedónsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='ML']">Mali</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MM']">Mjanmar</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MN']">Mongolsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MO']">Macau</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MP']">Severné Mariany</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MQ']">Martinique</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MR']">Mauretánia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MS']">Montserrat</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MT']">Malta</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MU']">Maurícius</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MV']">Maledivy</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MW']">Malawi</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MX']">Mexiko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MY']">Malajzia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='MZ']">Mozambik</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='NA']">Namíbia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='NC']">Nová Kaledónia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='NE']">Niger</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='NF']">Norfolkské ostrovy</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='NG']">Nigéria</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='NI']">Nikaragua</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='NL']">Holandsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='NO']">Nórsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='NP']">Nepál</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='NR']">Naurčina</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='NU']">Ostrovy Niue</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='NZ']">Nový Zéland</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='OM']">Omán</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='PA']">Panama</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='PE']">Peru</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='PF']">Francúzska Polynézia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='PG']">Nezávislý štát Papua-Nová Guinea</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='PH']">Filipíny</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='PK']">Pakistan</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='PL']">Poľsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='PM']">St. Pierre and Miquelon</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='PN']">Ostrovy Pitcairn</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='PR']">Portoriko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='PS']">Palestínsky štát</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='PT']">Portugalsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='PW']">Palau</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='PY']">Paraguay</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='QA']">Katar</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='RE']">Reunion</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='RO']">Rumunsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='RS']">Srbsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='RU']">Ruská federácia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='RW']">Ruanda</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SA']">Saudská Arábia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SB']">Šalamúnske ost.</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SC']">Seychely</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SD']">Sudán</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SE']">Švédsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SG']">Singapur</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SH']">Sv. Helena</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SI']">Slovinsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SJ']">Svalbard</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SK']">Slovensko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SL']">Sierra Leone</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SM']">San Marino</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SN']">Senegal</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SO']">Somálska federatívna republika</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SR']">Surinam</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SS']">Južný Sudán</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='ST']">Sv.Tomáš a Princov ostrov</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SV']">El Salvador</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SX']">Svätý Martin</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SY']">Sýria</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='SZ']">Svazijsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TC']">Ostrovy Turks a Caicos</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TD']">Čad</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TF']">Francúzske južné územia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TG']">Togo</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TH']">Thajsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TJ']">Tadžikistan</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TK']">Ostrovy Tokelau</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TL']">Východný Timor</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TM']">Turkménsko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TN']">Tunisko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TO']">Tonga</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TP']">Ost Timor</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TR']">Turecko</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TT']">Trinidad und Tobago</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TV']">Tuvaluština</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TW']">Taiwan</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='TZ']">Tanzánia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='UA']">Ukrajina</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='UG']">Uganda</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='UM']">Ostrovy Amerikanisch Minor Outlying</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='US']">USA</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='UY']">Uruguay</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='UZ']">Uzbekistan</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='VA']">Vatikán</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='VC']">St. Vincent a Grenadiny</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='VE']">Venezuela</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='VG']">Britské Panenské ostrovy</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='VI']">American Virgin Islands</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='VN']">Vietnam</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='VU']">Vanuatu</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='WF']">Wallis a Futuna</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='WS']">Západná Samoa</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='XE']">Nešpecifikované</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='XF']">Oblasti inde nešpecifikované</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='YE']">Jemen</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='YT']">Mayotte</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='ZA']">Južná Afrika</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='ZM']">Zambia</xsl:if><xsl:if test="./secSekcia2/pr2AdrStatutarStat[text()='ZW']">Zimbabwe</xsl:if><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./secpr2AdrStatutarSupOrientCislo">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Súpisné/orientačné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2AdrStatutarSupOrientCislo/pr2AdrStatutarSupisneCislo'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>/</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./secpr2AdrStatutarSupOrientCislo/pr2AdrStatutarOrientacneCislo'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./pr2Potvrdenie">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="./pr2Potvrdenie/potvrdeniePodpis[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>Potvrdzujem, že osoba uvedená ako zástupca skupiny je určená členmi skupiny na zastupovanie skupiny na účely uplatňovania dane z pridanej hodnoty. Som si vedomý zodpovednosti za povinnosti skupiny vyplývajúce zo zákona o dani z pridanejhodnoty a z daňového poriadku.</fo:block></fo:table-cell><fo:table-cell><fo:block font-size='10pt' hyphenate='true'><fo:inline color='white'>___</fo:inline>Dátum</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='./pr2Potvrdenie/pr2PotvrdDatum'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
						

			</fo:flow>
           </fo:page-sequence>
          </fo:root>
         </xsl:template>
        </xsl:stylesheet>
